<?php

/**
* Dashboard Controller
*/
class DashboardController extends Controller
{
	/**
	* Private Department model variable
	* This will be used for calling department model's function
	**/
	private $dashboardModel;
	/*Class Constructor*/
	function __construct()
	{
		/*Call parent constructor*/
		parent::__construct();
		/*Intilize dashboard model*/
		$this->dashboardModel = new Dashboard();
	}

	/**
	* Dasboard index method
	* This method will be called on dahsboard view
	**/
	public function index()
	{
		/**
		* Get all appintment for calendar
		**/
		$appointments = $this->dashboardModel->allAppointments();
		/**
		* Check if appointment exists or not
		* If exist then make array for displaying in calendar and pop up
		*/
		$appointment_display = [];
		if (!empty($appointments)) {
			$appointment_display = $this->appointmentDisplay($appointments);
		}
		$this->commons = new CommonsController();
		/*Get SUer name and role*/
		$data['user'] = $this->commons->getUser();
		/*All Appoinment*/
		$data['all_appointment'] = json_encode($appointment_display);
		/*Doctor Statistics*/
		$data['doctor_statistics'] = $this->dashboardModel->doctorStatistics();
		/*Appointment Count*/
		$data['clinic_stats'] = $this->dashboardModel->clinicTotalCount();
		$data['clinicTotal'] = json_encode(array_map(function($arr) { return (int)$arr['total']; }, $data['clinic_stats']));
		/*Recently Created acitivity*/
		$data['recently_added'] = $this->dashboardModel->getRecentlyAdded();
		/*Clinic Statistcis*/
		

		for( $i = 0; $i <= 5 ; $i++) {
			$data['month'][] = date("M", strtotime("-".$i." month"));
		}

		$data['month'] = json_encode(array_reverse($data['month']));

		$data['appointmentStats'] = $this->clinicStatsDisplay($this->dashboardModel->appointmentStats());
		$data['earnings'] = $this->clinicStatsDisplay($this->dashboardModel->getEarnings());
		
		/*Get all doctors*/
		$this->appointmentModel = new Appointment();
		$data['doctors'] = $this->appointmentModel->getDoctors();
		/*Create action call*/
		$data['appointment_action'] = URL_ADMIN.DIR_ROUTE.'appointment/dashboardappointment';

		if (isset($this->session->data['message'])) {
			$data['message'] = $this->session->data['message'];
			unset($this->session->data['message']);
		}
		/*Render dahsboard view*/
		$this->view->render('dashboard/dashboard.tpl', $data);
	}

	/**
	* Method to set array for displaying in full calendar
	**/
	protected function appointmentDisplay($appointments)
	{
		$appointment_display = [];
		foreach ($appointments as $appointment) {
			/**
			* According to status set color
			* Also make status label 
			**/
			if ($appointment['status'] == '1') {
				$color = '#F57F7F';
				$status = "Canceled";
			}
			elseif ($appointment['status'] == '2') {
				$color = '#F09E72';
				$status = "In Process";
			}
			elseif ($appointment['status'] == '3') {
				$color = '#7FBC8E';
				$status = "Confirmed";
			}  
			elseif ($appointment['status'] == '4') {
				$color = '#65CCD6';
				$status = "Completed";
			} 
			else {
				$color = '#b87ce5';
				$status = "New";
			}
			/**
			* Get all appointment in one 
			* Return back that array
			**/
			$appointment_display [] = array(
				'id' => $appointment['id'],
				'title' => $appointment['name']." ( Dr. ".$appointment['doctor'] ." )",
				'start' => $appointment['date'].'T'.$appointment['time'].':00+05:30',
				'allDay' => false,
				'color'=> $color,
				'textColor' => 'black',
				'description' => $appointment['id'].','.$appointment['name'].','.$appointment['email'].','.$appointment['mobile'].','.$appointment['date'].','.$appointment['time'].','.$appointment['doctor'].','.$appointment['doctor_id'].','.$appointment['department_id'].','.$appointment['status']
			);
		}
		return $appointment_display;
	}

	public function clinicStatsDisplay($data)
	{
		if (!empty($data)) {
			$result;
			for( $i = 0; $i <= 5 ; $i++) {
				$month_list[] = date("M", strtotime("-".$i." month"));
			}
			$month_list = array_reverse($month_list);

			foreach ($data as $arr) {
				$key = $arr['month'];
				$result[$key] = $arr['count'];
			}
			foreach ($month_list as $month) {
				if (!array_key_exists($month, $result)) {
					$result[$month] = 0;
				}
			}
			uksort($result, function($key1, $key2) use ($month_list) {
				return (array_search($key1, $month_list) > array_search($key2, $month_list));
			});

			return json_encode(array_values($result));
		} 
		else {
			return json_encode(array());
		}
		
	}
}