<?php

/**
* Pages Controller
*/
class PagesController extends Controller
{
	/**
	* Private page model variable
	* This will be used for calling Page model's function
	**/
	private $pageModel;
	/* Page name variable */
	private $page_name;
	function __construct()
	{
		parent::__construct();
		$this->commons = new CommonsController();
		/*Intilize page model*/
		$this->pageModel = new Pages();
		/* Get page name from route and set it in page_name variable */
		$this->page_name = explode('/', $this->url->get('route'))[1];
	}
	/**
	* Page index edit method
	* This method will be called on page view
	**/
	public function index()
	{
		/**
		* Get page data from DB using Page model's method
		**/
		$page_data = $this->pageModel->getPage($this->page_name);
		/*Get User name and role*/
		$data['user'] = $this->commons->getUser();
		/* Set Page data to array to pass in view */
		if ($this->page_name == "gallery") {
			$data['meta'] = array();
		}
		else {
			$data['result'] = json_decode($page_data['page_data'], true);
			$data['meta'] = array(
				'tag' =>$page_data['meta_tag'],
				'description' => $page_data['meta_description']
			);
		}
		
		/* Set confirmation message if page submitted before */
		if (isset($this->session->data['message'])) {
			$data['message'] = $this->session->data['message'];
			unset($this->session->data['message']);
		}
		$data['token'] = hash('sha512', TOKEN . TOKEN_SALT);
		$data['action'] = URL_ADMIN.DIR_ROUTE.'page/action';
		/*Render page view according to page*/
		$this->view->render('pages/page_'.$this->page_name.'.tpl', $data);
	}

	public function indexAction()
	{
		$data['name'] = $this->url->post('page_name');
		$data['meta'] = $this->url->post('meta');
		
		if ($this->commons->validateToken($this->url->post('_token'))){
			$this->url->redirect('page/'.$data['name']);
		}

		if ($this->url->post('page_name') == 'header') {
			$i = 0;
			$menu = $this->url->post('page')['header'];
			foreach ($menu as $key => $value) {
				if (isset($value['status']) && $value['status'] == 'on') {
					$menu[$i]['status'] = 1;
				}else {
					$menu[$i]['status'] = 0;
				}

				if (empty($value['order'])) {
					$menu[$i]['order'] = 99;
				}

				$i++;
			}
			$data['page'] = json_encode($menu);
		}
		else {
			$data['page'] = json_encode($this->url->post('page'));
		}
		
		$result = $this->pageModel->updatePage($data);
		$this->session->data['message'] = array('alert' => 'success', 'value' => ucfirst($data['name']).' page updated successfully.');
		$this->url->redirect('page/'.$data['name']);
	}
}