<?php

/**
* Department Model
*/
class Department extends Model
{
	public function allDepartments()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "department`");
		return $query->rows;
	}


	public function getDepartment($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "department` WHERE `id` = ? LIMIT 1", array($this->model->escape($id)));
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function updateDepartment($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "department` SET `name` = ?, `description` = ?, `icon` = ?, `status` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $data['description'], $this->model->escape($data['icon']), (int)$data['status'], (int)$data['id']));
		return true;
	}

	public function createDepartment($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "department` (`name`, `description`, `icon`, `status`) VALUES (?, ?, ?, ?)", array($this->model->escape($data['name']), $data['description'], $this->model->escape($data['icon']), (int)$data['status']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}

	public function deleteDepartment($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "department` WHERE `id` = ?", array((int)$id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}