<?php

/**
* Doctor Model 
*/
class Doctor extends Model
{
	public function allDoctors()
	{
		$query = $this->model->query("SELECT doctor.id, doctor.name, doctor.email, doctor.mobile, doctor.picture, doctor.priority, department.name As department FROM `" . DB_PREFIX . "doctor` AS doctor LEFT JOIN `" . DB_PREFIX . "department` AS department ON doctor.department_id = department.id ORDER BY doctor.priority ASC, doctor.date_of_joining");
		return $query->rows;
	}

	public function getDoctor($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "doctor` WHERE `id` = ? LIMIT 1",array($this->model->escape($id)));
		
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function getDepartmentByName()
	{
		$query = $this->model->query("SELECT `id` , `name` FROM `" . DB_PREFIX . "department`");
		return $query->rows;
	}

	public function updateDoctor($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "doctor` SET `name` = ?, `email` = ?, `mobile` = ?, `picture` = ?, `about` = ?, `department_id` = ?, `social` = ?, `status` = ?, `priority` = ?, `time` = ?, `weekly` = ?, `national` = ?, `appointment` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $this->model->escape($data['picture']), $data['about'], (int)$data['department'], $data['social'], (int)$data['status'], (int)$data['priority'], $data['time'], $data['weekly'], $data['national'], (int)$data['appointment'], (int)$data['id']));
		return true;
	}

	public function createDoctor($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "doctor` (`name`, `email`, `mobile`, `picture`, `about`, `department_id`, `social`, `status`, `priority`, `time`, `weekly`, `national`, `appointment`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $this->model->escape($data['picture']), $data['about'], (int)$data['department'], $data['social'], (int)$data['status'], (int)$data['priority'], $data['time'], $data['weekly'],  $data['national'], (int)$data['appointment']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();		
		} else {
			return false;
		}
	}

	public function deleteDoctor($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "doctor` WHERE `id` = ?", array((int)$id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}