<?php

/**
* Facility Model
*/
class Facility extends Model
{
	public function allFacilities()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "facility`");
		return $query->rows;
	}

	public function getfacility($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "facility` WHERE `id` = ? LIMIT 1", array($this->model->escape($id)));
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function updateFacility($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "facility` SET `name` = ?, `description` = ?, `icon` = ?, `status` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $data['description'], $this->model->escape($data['icon']), (int)$data['status'], (int)$data['id']));
		return true;
	}

	public function createFacility($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "facility` (`name`, `description`, `icon`, `status`) VALUES (?, ?, ?, ?)", array($this->model->escape($data['name']), $data['description'], $this->model->escape($data['icon']), (int)$data['status']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}

	public function deleteFacility($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "facility` WHERE `id` = ?", array((int)$id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}