<?php

/**
* Invoice Model
*/
class Invoice extends Model
{
	public function allInvoices()
	{
		$query = $this->model->query("SELECT i.*, a.appointment_id AS appointment_unique, d.name AS doctor, c.abbr FROM `" . DB_PREFIX . "invoice` AS i LEFT JOIN `" . DB_PREFIX . "appointment` AS a ON a.id = i.appointment_id LEFT JOIN `" . DB_PREFIX . "doctor` AS d ON d.id = i.doctor_id LEFT JOIN `" . DB_PREFIX . "currency` AS c ON c.id = i.currency ORDER BY `date_of_joining` DESC");
		return $query->rows;
	}

	public function getInvoiceView($id)
	{
		$query = $this->model->query("SELECT i.*, d.name AS doctor, c.name AS currency, c.abbr AS abbr, p.name AS method FROM `" . DB_PREFIX . "invoice` AS i LEFT JOIN `" . DB_PREFIX . "currency` AS c ON c.id = i.currency LEFT JOIN `" . DB_PREFIX . "payment_method` AS p ON p.id = i.method LEFT JOIN `" . DB_PREFIX . "doctor` AS d ON d.id = i.doctor_id WHERE i.id = '".(int)$id."' LIMIT 1");
		return $query->row;
	}

	public function getInvoice($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "invoice` WHERE `id` = ? LIMIT 1", array((int)$id));
		
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function getDoctors()
	{
		$query = $this->model->query("SELECT `id`, `name` FROM `" . DB_PREFIX . "doctor`");
		return $query->rows;
	}

	public function getPaymentMethod()
	{
		$query = $this->model->query("SELECT `id`, `name` FROM `" . DB_PREFIX . "payment_method`");
		return $query->rows;
	}

	public function getCurrency()
	{
		$query = $this->model->query("SELECT `id`, `name` FROM `" . DB_PREFIX . "currency`");
		return $query->rows;
	}

	public function getTaxes()
	{
		$query = $this->model->query("SELECT `id`, `name`, `rate` FROM `" . DB_PREFIX . "taxes`");
		return $query->rows;
	}

	public function getAppointmentData($id)
	{
		$query = $this->model->query("SELECT a.id AS appointment_id, a.name, a.email, a.mobile, a.doctor_id, d.name As doctor FROM `" . DB_PREFIX . "appointment` AS a LEFT JOIN `" . DB_PREFIX . "doctor` AS d ON d.id = a.doctor_id WHERE a.id = ? LIMIT 1", array((int)$id));
		
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function updateInvoice($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "invoice` SET `name` = ?, `email` = ?, `mobile` = ?, `duedate` = ?, `paiddate` = ?, `item` = ?, `currency` = ?, `method` = ?, `status` = ?, `subtotal` = ?, `tax` = ?, `discounttype` = ?, `discount` = ?, `discount_value` = ?, `amount` = ?, `paid` = ?, `due` = ?, `appointment_id` = ?, `doctor_id` = ?, `note` = ?, `tc` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $data['duedate'], $data['paiddate'], $data['item'], $data['currency'], (int)$data['method'], $data['status'], $data['subtotal'], $data['tax'], $data['discounttype'], $data['discount'], $data['discount_value'], $data['amount'], $data['paid'], $data['due'], $data['appointment_id'], $data['doctor'], $data['note'], $data['tc'], (int)$data['id']));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}

	public function createInvoice($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "invoice` (`name`, `email`, `mobile`, `duedate`, `paiddate`, `item`, `currency`, `method`, `status`, `subtotal`, `tax`, `discounttype`, `discount`, `discount_value`, `amount`, `paid`, `due`, `appointment_id`, `doctor_id`, `note`, `tc`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $data['duedate'], $data['paiddate'], $data['item'], $data['currency'], (int)$data['method'], $data['status'], $data['subtotal'], $data['tax'], $data['discounttype'], $data['discount'], $data['discount_value'], $data['amount'], $data['paid'], $data['due'], $data['appointment_id'], $data['doctor'], $data['note'], $data['tc']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}

	public function updateInvoiceIdAppointment($id, $appointment_id)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "appointment` SET `invoice_id` = ? WHERE `id` = ?", array((int)$id, (int)$appointment_id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}

	public function deleteInvoice($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "invoice` WHERE `id` = ?", array((int)$id ));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}