<?php

/**
* Login Model
*/
class Login extends Model
{
	public function checkUser($username)
	{
		$query = $this->model->query( "SELECT `user_id`, `user_role`, `firstname`, `lastname`, `email`, `mobile`, `password`, `status` FROM `" . DB_PREFIX . "users` WHERE `user_name` = ? AND `user_role` != ? LIMIT 1", array($this->model->escape($username), 1));
		if ($query->num_rows) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function checkUserId($id)
	{
		$query = $this->model->query( "SELECT `user_id`, `user_role`, `firstname`, `email`, `status` FROM `" . DB_PREFIX . "users` WHERE `user_id` = ? AND `user_role` != ? AND `status` = ? LIMIT 1", array($this->model->escape($id), 1, 1));
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function checkAttempts($email)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "login_attempts` WHERE `email` = ?", array($this->model->escape($email)));
		if ($query->num_rows) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function addAttempt($email)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "login_attempts` WHERE `email` = ? ", array($this->model->escape($email)));
		if ($query->num_rows > 0) {
			$this->model->query("UPDATE `" . DB_PREFIX . "login_attempts` SET `count` = ?, `date_modified` = ? WHERE `email` = ?", array( $results['count'] + 1 , date('Y-m-d H:i:s'), $email));
		}
		else {
			$this->model->query("INSERT INTO `" . DB_PREFIX . "login_attempts` SET `email` = ?, `count` = ?, `date_added` = ?, `date_modified` = ?", array($email, 1, date('Y-m-d H:i:s'), date('Y-m-d H:i:s')));
		}
	}

	public function deleteAttempt($email)
	{
		$this->model->query("DELETE FROM `" . DB_PREFIX . "login_attempts` WHERE `email` = ?", array($this->model->escape($email)));
	}
}