<?php

/**
* Blog Model
*/
class Pharmacy extends Model
{
	public function allPharmacy()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "pharmacy` ORDER BY `date_of_joining` DESC");
		return $query->rows;
	}

	public function getMedicine($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "pharmacy` WHERE `id` = ? LIMIT 1", 
			array((int)$id));
		
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function prescriptionPharmacy($id)
	{
		$query = $this->model->query("SELECT p.*, a.name AS patient, d.name AS doctor, d.about FROM `" . DB_PREFIX . "prescription` AS p LEFT JOIN `" . DB_PREFIX . "appointment` AS a ON a.id = p.appointment_id LEFT JOIN `" . DB_PREFIX . "doctor` AS d ON d.id = a.doctor_id WHERE p.id = ? LIMIT 1", array((int)$id));
		return $query->row;
	}

	public function getInfo()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "info` WHERE `id` = ? LIMIT 1", 
			array(1));
		return $query->row;
	}

	public function updateMedicine($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "pharmacy` SET `name` = ?, `generic` = ?,  `price` = ?, `quantity` = ?, `status` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $data['generic'], (float)$data['price'], (int)$data['quantity'], (int)$data['status'], (int)$data['id']));
		return true;
	}

	public function createMedicine($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "pharmacy` (`name`, `generic`, `price`, `quantity`, `status`) VALUES (?, ?, ?, ?, ?)", array($this->model->escape($data['name']), $data['generic'], (float)$data['price'], (int)$data['quantity'], (int)$data['status']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}

	public function deleteMedicine($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "pharmacy` WHERE `id` = ?", array((int)$id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}