<?php

/**
* Service Model
*/
class Service extends Model
{
	public function allServices()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "service` ORDER BY priority ASC, date_of_joining");
		return $query->rows;
	}

	public function getService($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "service` WHERE `id` = ? LIMIT 1", array($this->model->escape($id)));

		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function updateService($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "service` SET `name` = ?, `short_post` = ?, `long_post` = ?, `icon` = ?, `picture` = ?, `status` = ?, `priority` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $data['short_post'], $data['long_post'], $this->model->escape($data['icon']), $this->model->escape($data['picture']), (int)$data['status'], (int)$data['priority'], (int)$data['id']));
		return true;
	}

	public function createService($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "service` (`name`, `short_post`, `long_post`, `icon`, `picture`, `status`, `priority`) VALUES (?, ?, ?, ?, ?, ?, ?)", array($this->model->escape($data['name']), $data['short_post'], $data['long_post'], $this->model->escape($data['icon']), $this->model->escape($data['picture']), (int)$data['status'], (int)$data['priority']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}

	public function deleteService($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "service` WHERE `id` = ?",
			array( (int)$id ) );
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}