<?php

/**
* Setting Model
*/
class Setting extends Model
{
	public function getSetting($setting_name)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "setting` WHERE `name` = ?", array($this->model->escape($setting_name)));
		return $query->row;
	}

	public function settingUpdate($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "setting` SET `data` = ?, `status` = ? WHERE `name` = ?", array( $data['data'], (int)$data['status'], $this->model->escape($data['name'])));
		return true;
	}

	public function generalSettingUpdate($data)
	{
		$data['data'] = json_encode($data);
		$data['name'] = "generalsetting";
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "setting` SET `data` = ? WHERE `name` = ?", array( $data['data'], $this->model->escape($data['name'])));
		
		if (isset($data['comment']['approve']) && !empty($data['comment']['approve'])) {
			$this->model->alterQuery("ALTER TABLE `" . DB_PREFIX . "comment` MODIFY `status` tinyint DEFAULT 0");
		} else {
			$this->model->alterQuery("ALTER TABLE `" . DB_PREFIX . "comment` MODIFY `status` tinyint DEFAULT 1");
		}

		if (isset($data['review']['approve']) && !empty($data['review']['approve'])) {
			$this->model->alterQuery("ALTER TABLE `" . DB_PREFIX . "review` MODIFY `status` tinyint DEFAULT 0");
		} else {
			$this->model->alterQuery("ALTER TABLE `" . DB_PREFIX . "review` MODIFY `status` tinyint DEFAULT 1");
		}

		return true;
	}
}