<?php

/**
* Testimonial Model
*/
class Testimonial extends Model
{
	public function allTestimonials()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "testimonial`");
		return $query->rows;
	}

	public function getTestimonial($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "testimonial` WHERE `id` = ? LIMIT 1", array($this->model->escape($id)) );
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function updateTestimonial($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "testimonial` SET `name` = ?, `email` = ?, `mobile` = ?, `testimonial` = ?, `picture` = ?, `status` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $data['testimonial'], $this->model->escape($data['picture']), (int)$data['status'], (int)$data['id']));
		return true;
	}

	public function createTestimonial($data)
	{
		$query = $this->model->query( "INSERT INTO `" . DB_PREFIX . "testimonial` (`name`, `email`, `mobile`, `testimonial`, `picture`, `status`) VALUES (?, ?, ?, ?, ?, ?)", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $data['testimonial'], $this->model->escape($data['picture']), (int)$data['status']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}

	public function deleteTestimonial($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "testimonial` WHERE `id` = ?", array((int)$id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}