<?php

/**
* Request Model
*/
class Userrequest extends Model
{
	public function allRequests()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "request` ORDER BY `date_of_joining` DESC");
		$result = [];
		if ($query->num_rows > 0) {
			return $query->rows;
		}
		return $result;
	}

	public function getRequest($id)
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "request` WHERE `id` = ? LIMIT 1", array($this->model->escape($id)));
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function updateRequest($data)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "request` SET `name` = ?, `email` = ?, `mobile` = ?, `subject` = ?, `message` = ?, `remark` = ?, `status` = ? WHERE `id` = ?", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $data['subject'], $data['message'], $data['remark'], (int)$data['status'], (int)$data['id']));
		if ($this->model->error()) {
			return false;
		} else {
			return true;
		}
	}

	public function createRequest($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "request` (`name`, `email`, `mobile`, `subject`, `message`, `remark`) VALUES (?, ?, ?, ?, ?, ?)", array($this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $data['subject'], $data['message'], $data['remark']));
		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}

	public function deleteRequest($id)
	{
		$query = $this->model->query("DELETE FROM `" . DB_PREFIX . "request` WHERE `id` = ?", array((int)$id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}