<?php include (DIR_ADMIN.'app/views/common/header.tpl.php'); ?>

<link rel="stylesheet" href="public/css/jquery.fancybox.min.css">
<script src="public/js/jquery.fancybox.min.js"></script>
<script>
	$('#patient').show();
	$('#patient-li>a').addClass('active');
</script>

<form action="<?php echo $action ?>" method="post">
	<div class="page-hdr">
		<div class="row">
			<div class="col-8 page-name">
				<h1><i class="fa fa-envelope"></i><?php echo $page_title; ?></h1>
			</div>
			<div class="col-4 page-menu">
				<a id="cancel" href="index.php?route=appointment" data-toggle="tooltip" data-placement="left" title="Back to List">
					<i class="fa fa-reply"></i>
				</a>
				<?php if (!empty($result['invoice_id'])) { ?>
				<a id="page-menu-invoice" class="" data-toggle="tooltip" data-placement="left" title="Invoice" href="index.php?route=invoice/edit&id=<?php echo $result['invoice_id']; ?>" target="_blank"><i class="fa fa-credit-card"></i></a>
				<?php } else { ?>
				<a id="page-menu-invoice" class="" href="index.php?route=invoice/add&id=<?php echo $result['id']; ?>" data-toggle="tooltip" data-placement="left" title="Generate Invoice" target="_blank"><i class="fa fa-credit-card"></i></a>
				<?php } ?>
				<button type="submit" name="submit" data-toggle="tooltip" data-placement="left" title="Save Appointment"><i class="fa fa-floppy-o"></i></button>
			</div>
		</div>
	</div>
	<?php if (isset($message) && !empty($message)) { ?>
	<div class="alert alert-<?php echo $message['alert']; ?> alert-dismissible" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		<strong><?php echo ucfirst($message['alert']); ?> - </strong> <?php echo $message['value']; ?>
	</div>
	<?php } ?>
	<div class="content">
		<input type="hidden" name="_token" value="<?php echo $token; ?>">
		<div class="row">
			<div class="col-md-7">
				<div class="content-block content-block-horizantal">
					<div class="content-block-ttl">Appointment Info</div>
					<div class="content-block-main">
						<div class="row content-input">
							<div class="col-sm-6">
								<label>Appointment Id : </label>
								<input type="text" name="appointment_id" value="<?php echo $result['appointment_id'];?>" placeholder="Appointment Id" readonly>
							</div>
							<div class="col-sm-6">
								<label>Appointment created : </label>
								<input type="text" value="<?php echo date_format(date_create($result['date_of_joining']),"d M Y  ( g:i A )"); ?>" readonly>
							</div>
						</div>
						<div class="content-input">
							<label>Department : </label>
							<input type="text" class="appointment-department" value="<?php echo $result['department']; ?>" readonly>
							<input type="hidden" name="department" id="appointment-department" value="<?php echo $result['department_id']; ?>">
						</div>
						<div class="content-invisible">
							<?php foreach ($doctors as $key => $value) { $doctor = json_encode($value) ?>
							<input type="hidden" value="<?php echo htmlspecialchars($doctor, ENT_QUOTES, 'UTF-8'); ?>" class="doctor-id-<?php echo $value['id']; ?> department-id-<?php echo $value['department']; ?>" >
							<?php } ?>
						</div>
						<div class="content-input">
							<label>Doctor : </label>
							<select name="doctor" id="appointment-doctor" class="select-list appointment-doctor" required>
								<option value="">Select Doctor</option>
								<?php foreach ($doctors as $value) { ?>
								<option value="<?php echo $value['id']; ?>" <?php if($result['doctor_id'] == $value['id']) { echo "selected"; } ?> ><?php echo $value['name'].' (' . $value['department'] . ')'; ?></option>
								<?php } ?>
							</select>
						</div>
						<div class="row">
							<div class="col-sm-6">
								<div class="content-input">
									<label>Appointment Date : </label>
									<input type="text" name="date" id="appointment-date" value="<?php echo $result['date']; ?>" placeholder="Date" readonly required>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="content-input">
									<label>Appointment Time : </label>
									<input type="time" name="time" value="<?php echo $result['time'];?>" placeholder="Time" readonly>
								</div>
							</div>
						</div>
						<div class="content-input appointment-slot">
							<label></label>
							<div id="appointment-slot"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-5">
				<div class="content-block">
					<div class="content-block-ttl">Patient Info</div>
					<div class="content-block-main">
						<div class="row appointment-patient">
							<div class="col-12">
								<div class="card-img card-icon"><i class="fa fa-user-o fa-3x"></i></div>
								<div class="card-info">
									<div class="card-name">
										<?php if (!empty($result['gender'])) { if ($result['gender'] == 1) { $gender = array('male', 'Male'); } elseif ($result['gender'] == 2) { $gender = array('female', 'Female'); } else { $gender = array('male', ''); } } else { $gender = array('male', ''); }
										if (!empty($result['dob'])) { $age = (date('Y') - date('Y',strtotime($result['dob']))). ' year'; } else { $age = NULL; }
										?>
										<a href="<?php echo URL_ADMIN.DIR_ROUTE.'user/edit&id='. $result['userid']; ?>" target="_blank"><?php echo $result['name']; ?> <span> ( <?php echo $age.' ' .$gender[1]; ?> )</span></a>
										<div class="fa fa-pencil-square-o appointment-patient-edit"  data-toggle="tooltip" data-placement="top" title="Edit Patient Info"></div>
									</div>
									<div class="card-text"><?php echo $result['email']; ?></div>
									<div class="card-text"><?php echo $result['mobile']; ?></div>
								</div>
							</div>
							<div class="col-12">
								<div class="card-info">
									<div class="font-14"><i class="fa fa-tint fa-1x"></i><span class="font-12">Bloodgroup -</span> <?php echo $result['bloodgroup']; ?></div>
								</div>
							</div>
						</div>
						<div class="appointment-patient-form">
							<div class="content-input">
								<label>Name : </label>
								<input type="text" class="input-text" name="name" value="<?php echo $result['name'];?>" placeholder="Name">
							</div>
							<div class="content-input">
								<label>Email : </label>
								<input type="email" class="input-email" name="email" value="<?php echo $result['email'];?>" placeholder="Email">
							</div>
							<div class="content-input">
								<label>Mobile : </label>
								<input type="text" class="input-number" name="mobile" value="<?php echo $result['mobile'];?>" placeholder="Mobile">
							</div>
						</div>
						<script>
							$('.appointment-patient-edit').click(function () {
								if ($('.appointment-patient-form').css('display') == 'none') {
									$('.appointment-patient-form').slideDown();
								} else {
									$('.appointment-patient-form').slideUp();
								}
							});
						</script>
					</div>
				</div>
				<div class="content-block">
					<div class="content-block-ttl">Reports</div>
					<div class="content-block-main text-center">
						<div class="report-btn">
							<a class="btn btn-default btn-sm" data-toggle="modal" data-target="#reports-modal">Upload Reports</a>
						</div>
						
						<div class="report-container">
							<?php if (!empty($reports)) { foreach ($reports as $key => $value) { $file_ext = pathinfo($value['report'], PATHINFO_EXTENSION); if ($file_ext == "pdf") { ?>
							<div class="report-image report-pdf">
								<a href="../public/reports/<?php echo $value['report']; ?>" class="open-pdf font-12" style="display: block;"><i class="fa fa-file-pdf-o"></i></a>
								<input type="hidden" name="report_name" value="<?php echo $value['report']; ?>">
								<div class="report-delete" data-toggle="tooltip" data-placement="right" title="Delete"><a class="fa fa-trash"></a></div>
								<input type="hidden" name="report_name" value="<?php echo $value['report']; ?>">
							</div>
							<?php } else {?>
							<div class="report-image">
								<a data-fancybox="gallery" href="../public/reports/<?php echo $value['report']; ?>"><img class="img-thumbnail" src="../public/reports/<?php echo $value['report']; ?>" alt=""></a>
								
								<div class="report-delete" data-toggle="tooltip" data-placement="right" title="Delete"><a class="fa fa-trash"></a></div>
								<input type="hidden" name="report_name" value="<?php echo $value['report']; ?>">
							</div>
							<?php } } } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="content-block">
			<div class="content-block-ttl">Prescription</div>
			<div class="content-block-main">
				<div class="content-padding-10">
					<input type="hidden" name="prescription_id" value="<?php echo $result['prescription_id']; ?>">
					<table class="table table-bordered medicine-table">
						<tr class="medicine-row">
							<th style="width: 25%;">Drug Name</th>
							<th>Generic</th>
							<th style="width: 12%;">Dose</th>
							<th style="width: 12%;">Duration</th>
							<th style="width: 12%;">Instruction</th>
							<th style="width: 5%;">Action</th>
						</tr>
						<?php if (!empty($result['prescription'])) { foreach (json_decode($result['prescription'], true) as $key => $value) { ?>
						<tr class="medicine-row">
							<td>
								<input class="form-control prescription-name" name="prescription[<?php echo $key; ?>][name]" value="<?php echo $value['name'] ?>" placeholder="Medicine Name">
							</td>
							<td>
								<textarea class="form-control prescription-generic" name="prescription[<?php echo $key; ?>][generic]" rows="3" placeholder="Generic"><?php echo $value['generic'] ?></textarea>
							</td>
							<td>
								<select name="prescription[<?php echo $key; ?>][dose]" class="form-control">
									<option value="">Select Dose</option>
									<option value="1-0-0" <?php if ($value['dose'] == '1-0-0') { echo "selected";} ?> >1-0-0</option>
									<option value="1-0-1" <?php if ($value['dose'] == '1-0-1') { echo "selected";} ?> >1-0-1</option>
									<option value="1-1-1" <?php if ($value['dose'] == '1-1-1') { echo "selected";} ?> >1-1-1</option>
									<option value="0-0-1" <?php if ($value['dose'] == '0-0-1') { echo "selected";} ?> >0-0-1</option>
									<option value="0-1-0" <?php if ($value['dose'] == '0-1-0') { echo "selected";} ?> >0-1-0</option>
								</select>
							</td>
							<td>
								<select name="prescription[<?php echo $key; ?>][duration]" class="form-control">
									<option value="">Select Duration</option>
									<option value="1" <?php if ($value['duration'] == '1') { echo "selected";} ?> >1 Days</option>
									<option value="2" <?php if ($value['duration'] == '2') { echo "selected";} ?> >2 Days</option>
									<option value="3" <?php if ($value['duration'] == '3') { echo "selected";} ?> >3 Days</option>
									<option value="4" <?php if ($value['duration'] == '4') { echo "selected";} ?> >4 Days</option>
									<option value="5" <?php if ($value['duration'] == '5') { echo "selected";} ?> >5 Days</option>
									<option value="6" <?php if ($value['duration'] == '6') { echo "selected";} ?> >6 Days</option>
									<option value="8" <?php if ($value['duration'] == '8') { echo "selected";} ?> >8 Days</option>
									<option value="10" <?php if ($value['duration'] == '10') { echo "selected";} ?> >10 Days</option>
									<option value="15" <?php if ($value['duration'] == '15') { echo "selected";} ?> >15 Days</option>
									<option value="20" <?php if ($value['duration'] == '20') { echo "selected";} ?> >20 Days</option>
									<option value="30" <?php if ($value['duration'] == '30') { echo "selected";} ?> >30 Days</option>
									<option value="60" <?php if ($value['duration'] == '60') { echo "selected";} ?> >60 Days</option>
								</select>
							</td>
							<td>
								<textarea name="prescription[<?php echo $key; ?>][instruction]" class="form-control" rows="3" placeholder="Instruction"><?php echo $value['instruction']; ?></textarea>
							</td>
							<td>
								<a class="table-action-button medicine-delete"><i class="fa fa-trash-o color-red"></i></a>
							</td>
						</tr>
						<?php } } else { ?>
						<tr class="medicine-row">
							<td>
								<input class="form-control prescription-name" name="prescription[0][name]" placeholder="Medicine Name">
							</td>
							<td>
								<textarea name="prescription[0][generic]" class="form-control prescription-generic" rows="3" placeholder="Generic"></textarea>
							</td>
							<td>
								<select name="prescription[0][dose]" class="form-control">
									<option value="">Select Dose</option>
									<option value="1-0-0">1-0-0</option>
									<option value="1-0-1">1-0-1</option>
									<option value="1-1-1">1-1-1</option>
									<option value="0-0-1">0-0-1</option>
									<option value="0-1-0">0-1-0</option>
								</select>
							</td>
							<td>
								<select name="prescription[0][duration]" class="form-control">
									<option value="">Select Duration</option>
									<option value="1">1 Days</option>
									<option value="2">2 Days</option>
									<option value="3">3 Days</option>
									<option value="4">4 Days</option>
									<option value="5">5 Days</option>
									<option value="6">6 Days</option>
									<option value="8">8 Days</option>
									<option value="10">10 Days</option>
									<option value="15">15 Days</option>
									<option value="20">20 Days</option>
									<option value="30">30 Days</option>
									<option value="60">60 Days</option>
								</select>
							</td>
							<td>
								<textarea name="prescription[0][instruction]" class="form-control" rows="3" placeholder="Instruction"></textarea>
							</td>
							<td><a class="table-action-button medicine-delete"><i class="fa fa-trash-o color-red"></i></a></td>
						</tr>
						<?php } ?>
						<tr>
							<td colspan="6">
								<a id="add-medicine" class="color-purple cursor-pointer">Add More Medicine</a>
								<?php if (!empty($result['prescription_id'])) { ?>
								<a href="<?php echo URL_ADMIN.DIR_ROUTE.'prescription&id='.$result['prescription_id']; ?>" class="color-green cursor-pointer pull-right" target="_blank">Print Prescription</a>
								<?php } ?>
							</td>
						</tr>
					</table>
					<script>
						var pharmacy = <?php echo $pharmacy; ?>;
						function medicine_autocomplete() {
							$(".prescription-name").autocomplete({
								minLength: 0,
								source: pharmacy,
								focus: function( event, ui ) {
									$(this).parents('tr').find('.prescription-name').val( ui.item.label );
									return false;
								},
								select: function( event, ui ) {
									$(this).parents('tr').find('.prescription-name').val( ui.item.label );
									$(this).parents('tr').find('.prescription-generic').val( ui.item.desc );
									return false;
								}
							}).autocomplete( "instance" )._renderItem = function( ul, item ) {
								return $( "<li>" )
								.append( "<div>" + item.label + "<br>" + item.desc + "</div>" )
								.appendTo( ul );
							};
						}

						$('body').on('keydown.autocomplete', '.prescription-name', function() {
							medicine_autocomplete();
						});
						if ($(".medicine-delete").length < 2) { $(".medicine-delete").hide(); }
						else { $(".medicine-delete").show(); }
						$('body').on('click', '.medicine-delete', function() {
							$(this).parents('tr').remove();
							if ($(".medicine-delete").length < 2) $(".medicine-delete").hide();
						});

						$('#add-medicine').click(function () {
							if ($(".medicine-delete").length < 1) { $(".medicine-delete").hide(); }
							else { $(".medicine-delete").show(); }
							var count = $('.medicine-table .medicine-row:last .prescription-name').attr('name').split('[')[1];
							count = parseInt(count.split(']')[0]) + 1;
							$(".medicine-row:last").after('<tr class="medicine-row">'+
								'<td><input class="form-control prescription-name" name="prescription['+count+'][name]" value="" placeholder="Medicine Name"></td>'+
								'<td><textarea class="form-control prescription-generic" name="prescription['+count+'][generic]" rows="3" placeholder="Generic"></textarea></td>'+
								'<td><select name="prescription['+count+'][dose]" class="form-control"><option value="">Select Dose</option><option value="1-0-0">1-0-0</option><option value="1-0-1">1-0-1</option><option value="1-1-1">1-1-1</option><option value="0-0-1">0-0-1</option><option value="0-1-0">0-1-0</option></select></td>'+
								'<td><select name="prescription['+count+'][duration]" class="form-control"><option value="">Select Duration</option><option value="1">1 Days</option><option value="2">2 Days</option><option value="3">3 Days</option><option value="4">4 Days</option><option value="5">5 Days</option><option value="6">6 Days</option><option value="8">8 Days</option><option value="10">10 Days</option><option value="15">15 Days</option><option value="20">20 Days</option><option value="30">30 Days</option><option value="60">60 Days</option></select></td>'+
								'<td><textarea name="prescription['+count+'][instruction]" class="form-control" rows="3" placeholder="Instruction"></textarea></td>'+
								'<td><a class="table-action-button medicine-delete"><i class="fa fa-trash-o color-red"></i></a></td>'+
								'</tr>');
						});
					</script>
				</div>
			</div>
		</div>
		<div class="content-block">
			<div class="content-block-ttl">For office use</div>
			<div class="content-block-main">
				<div class="content-input">
					<label>Status : </label>
					<select name="status" id="" class="select-list">
						<option value="">Status</option>
						<option value="2" <?php if($result['status'] == '2') { echo "selected";} ?> >In Process</option>
						<option value="3" <?php if($result['status'] == '3') { echo "selected";} ?> >Confirmed</option>
						<option value="4" <?php if($result['status'] == '4') { echo "selected";} ?> >Completed</option>
						<option value="1" <?php if($result['status'] == '1') { echo "selected";} ?> >Canceled</option>
					</select>
				</div>
				<div class="content-input">
					<label>Note for patient : </label>
					<textarea name="note" placeholder="Note"><?php echo $result['note']; ?></textarea>
				</div>
				<div class="content-input">
					<label>Note for Doctor : </label>
					<textarea name="doctornote" class="summernote" placeholder="Note for Doctor"><?php echo $result['doctor_note']; ?></textarea>
				</div>
				<div class="content-input">
					<label>Notify Patient : </label>
					<div class="content-radio-container">
						<div>
							<input type="checkbox" name="sendmail" value="1" id="send-mail" checked>
							<label for="send-mail"><span><i class="fa fa-check"></i></span><p>Send an Email</p></label>
						</div>
					</div>
				</div>
			</div>
			<input type="hidden" name="id" value="<?php echo $result['id']; ?>">
		</div>
		<input type="hidden" name="id" value="<?php echo $result['id']; ?>">
		<div class="content-submit text-center">
			<button type="submit" name="submit" class="btn btn-primary">Save</button>
		</div>
	</div>
</form>

<!-- include summernote css/js-->
<link href="public/css/summernote-bs4.css" rel="stylesheet">
<script type="text/javascript" src="public/js/summernote-bs4.min.js"></script>
<script type="text/javascript" src="public/js/klinikal.summernote.js"></script>


<!-- Reports upload modal -->
<div id="reports-modal" class="modal fade" role="dialog">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title">Upload Reports</h4>
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>
			<div class="modal-body">
				<div class="media-upload-container" style="max-width: 100%;">
					<form action="<?php echo URL_ADMIN.DIR_ROUTE ?>report/reportUpload" class="dropzone" id="report-upload" method="post" enctype="multipart/form-data">
						<div class="fallback">
							<input name="file" type="file" />
						</div>
					</form>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" data-dismiss="modal">Done</button>
			</div>
		</div>

	</div>
</div>

<script>
	$("a.open-pdf").fancybox({
		'frameWidth': 800,
		'frameHeight': 800,
		'overlayShow': true,
		'hideOnContentClick': false,
		'type': 'iframe'
	});
</script>

<!-- Footer -->
<?php include (DIR_ADMIN.'app/views/common/footer.tpl.php'); ?>