<?php include (DIR_ADMIN.'app/views/common/header.tpl.php'); ?>
<script>
    $('#patient').show();
    $('#patient-li>a').addClass('active');
</script>
<!-- Appointment list page start -->
<div class="page-hdr">
    <div class="row">
        <div class="col-8 page-name">
            <h1><i class="fa fa-plus-square"></i>Appointments</h1>
        </div>
        <div class="col-4 page-menu">
            <a id="cancel" href="index.php?route=appointment" data-toggle="tooltip" data-placement="left" title="Reload">
                <i class="fa fa-refresh"></i>
            </a>
            <a href="index.php?route=appointment/add" data-toggle="tooltip" data-placement="left" title="Add Appointment">
                <i class="fa fa-plus"></i>
            </a>
        </div>
    </div>
    <input type="hidden" value="appointment" name="hidden-appointment">
</div>
<?php if (isset($message) && !empty($message)) { ?>
<div class="alert alert-<?php echo $message['alert']; ?> alert-dismissible" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <strong><?php echo ucfirst($message['alert']); ?> - </strong> <?php echo $message['value']; ?>
</div>
<?php } ?>
<div class="content">
    <div class="well">
        <div class="row">
            <div class="col-sm-3">
                <div class="form-group">
                    <label class="control-label">Doctor</label>
                    <select name="" id="filter-doctor" class="form-control">
                        <option value=""></option>
                        <?php if (!empty($doctors)) { foreach ($doctors as $key => $value) { ?>
                        <option value="<?php echo 'Dr. '.$value['name']; ?>"><?php echo 'Dr. '.$value['name']; ?></option>
                        <?php } } ?>
                    </select>
                </div>
            </div>
            <div class="col-sm-3">
                <div class="form-group">
                    <label class="control-label">Status</label>
                    <select name="" id="filter-status" class="form-control">
                        <option value=""></option>
                        <option value="New">New</option>
                        <option value="In-process">In Process</option>
                        <option value="Confirmed">Confirmed</option>
                        <option value="Completed">Completed</option>
                        <option value="Canceled">Canceled</option>
                    </select>
                </div>
            </div>
            <div class="col-sm-3">
                <div class="form-group">
                    <label class="control-label">Start Date</label>
                    <input type="text" id="filter-start-date" class="form-control filter-date">
                </div>
            </div>
            <div class="col-sm-3">
                <div class="form-group">
                    <label class="control-label">End Date</label>
                    <input type="text" id="filter-end-date" class="form-control filter-date">
                </div>
            </div>
            <div class="col-sm-12">
                <div class="pull-right">
                    <button id="reset" class="btn btn-default btn-sm">Reset</button>
                    <button id="filter-appointment" class="btn btn-primary btn-sm"><i class="fa fa-filter"></i>Filter</button>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            /*Doctor filter*/
            function filterByDoctor(filter) {
                $('.appointment-table tr .card-block').each(function (index) {
                    var doctor = $(this).find('.card-info a').text().trim();
                    if (doctor.indexOf(filter) == 0) {
                        $(this).parents('.appointment-table tr').show();
                    } else {
                        $(this).parents('.appointment-table tr').hide();
                    }
                });
            }
            /*Status filter*/
            function filterByStatus(filter) {
                $('.appointment-table tr .card-block').each(function (index) {
                    var status = $(this).find('.card-ftr span').text().trim();
                    if (status.indexOf(filter) == 0 && $(this).parents('.appointment-table tr').css('display') == 'table-row') {
                        $(this).parents('.appointment-table tr').show();
                    } else {
                        $(this).parents('.appointment-table tr').hide();
                    }
                });
            }
            /*Single date filter*/
            function filterByDate(filter) {
                $('.appointment-table tr .card-block').each(function (index) {
                    var date = $(this).find('.appointment-date span').text().trim();
                    if (date.indexOf(filter) == 0 && $(this).parents('.appointment-table tr').css('display') == 'table-row') {
                        $(this).parents('.appointment-table tr').show();
                    } else {
                        $(this).parents('.appointment-table tr').hide();
                    }
                });
            }
            /*Date range filter*/    
            function filterByDateRange(start_date, end_date) {
                var start_date = new Date(start_date);
                var end_date = new Date(end_date);

                $('.appointment-table tr .card-block').each(function (index) {
                    var date = new Date($(this).find('.appointment-date span').text().trim());
                    if ( date >= start_date && $(this).parents('.appointment-table tr').css('display') == 'table-row') {
                        $(this).parents('.appointment-table tr').show();
                    } else {
                        $(this).parents('.appointment-table tr').hide();
                    }

                    if (date > end_date  && $(this).parents('.appointment-table tr').css('display') == 'table-row') {
                        $(this).parents('.appointment-table tr').hide();
                    }
                });
            } 

            $('#reset').click(function() {
                window.location.reload();
            })
            var appointmentTable;
            var appointmentSettings;
            $(document).ready(function(){
                appointmentTable = $('.appointment-table').DataTable( {
                    "aLengthMenu": [[10, 25, 50, 75, -1], [10, 25, 50, 75, "All"]],
                    "iDisplayLength": 25,
                    "bSort": false,
                    "pagingType": "full_numbers"
                });
                appointmentSettings = appointmentTable.settings();
            });

            /*Filter Submit*/
            $('#filter-appointment').click(function() {
                appointmentSettings[0]._iDisplayLength = appointmentSettings[0].fnRecordsTotal();
                appointmentTable.draw();  
                $('.appointment-table tr').show();
                if ($('#filter-doctor').val() !== '') {
                    filterByDoctor($('#filter-doctor').val());
                }
                if ($('#filter-status').val() !== '') {
                    filterByStatus($('#filter-status').val());
                }
                if ($('#filter-start-date').val() !== '' && $('#filter-end-date').val() !== '' ) {
                    filterByDateRange($('#filter-start-date').val(), $('#filter-end-date').val());
                }else if ($('#filter-start-date').val() !== '') {
                    filterByDate($('#filter-start-date').val());
                }
            });
        </script>
    </div>
    <table id="card-table" class="appointment-table table">
        <thead>
            <tr><th style="display: none;"></th></tr>
        </thead>
        <tbody>
            <?php if (!empty($result)) { foreach ($result as $key => $value) { ?>
            <tr>
                <td>
                    <div class="card-block">
                        <div class="card card-color-<?php echo $value['status']; ?>">
                            <div class="row card-hdr">
                                <div class="col-2 card-left text-left">
                                    <span class="text-center"><?php echo $key+1; ?></span>
                                </div>
                                <div class="col-10 pull-right text-right card-right">
                                    <em>Appointment ID :</em> <span><?php echo $value['appointment_id']; ?></span>
                                </div>
                            </div>
                            <div class="row card-bdy">
                                <div class="col-4 text-left">
                                    <div class="card-img">
                                        <img class="img-thumbnail" src="../public/uploads/<?php echo $value['picture']; ?>" alt="">
                                    </div>
                                    <div class="card-info">
                                        <a href="index.php?route=themeoption/doctor/edit&id=<?php echo $value['doctor_id']; ?>" class="card-name" target="_blank">Dr. <?php echo $value['doctor']; ?></a>
                                        <div class="card-text"><?php echo $value['department']; ?></div>
                                        <div class="card-text"><?php echo $value['doctor_email']; ?></div>
                                    </div>
                                </div>
                                <div class="col-3 appointment-time text-center">
                                    <div class="appointment-date"><i class="fa fa-calendar"></i><span><?php echo $value['date']; ?></span></div>
                                    <div><i class="fa fa-hourglass-o"></i><span>At <?php echo $value['time']; ?></span></div>
                                </div>      
                                <div class="col-4 text-left patient-info">
                                    <a href="index.php?route=user/edit&id=<?php echo $value['user_id']; ?>" class="patient-name" target="_blank">
                                        <i class="fa fa-user-o"></i> <?php echo $value['name']; ?>
                                    </a>
                                    <p class="patient-other">
                                        <i class="fa fa-envelope-o"></i>
                                        <?php echo $value['email']; ?>
                                    </p>
                                    <p class="patient-other">
                                        <i class="fa fa-phone"></i> 
                                        <?php echo $value['mobile']; ?>
                                    </p>
                                </div>           
                            </div>
                            <div class="row card-ftr">
                                <div class="col-8 text-left">
                                    <span class="badge badge-default badge-sm"><?php echo ucfirst($value['status']); ?></span>
                                    <?php if (!empty($value['invoice_id'])) { ?>
                                    <a href="index.php?route=invoice/edit&id=<?php echo $value['invoice_id']; ?>" class="badge badge-default badge-sm" target="_blank">Invoice Generated</a>
                                    <?php } ?>
                                </div>
                                <div class="card-action">
                                    <?php if (empty($value['invoice_id'])) { ?>
                                    <a href="index.php?route=invoice/add&id=<?php echo $value['id']; ?>" class="btn btn-outline btn-warning btn-outline-1x btn-circle" data-toggle="tooltip" title="Create Invoice" target="_blank"><i class="fa fa-credit-card"></i></a>
                                    <?php } else { ?>
                                    <a href="index.php?route=invoice/view&id=<?php echo $value['invoice_id']; ?>" class="btn btn-outline btn-warning btn-outline-1x btn-circle" target="_blank" data-toggle="tooltip" title="View Invoice"><i class="fa fa-credit-card"></i></a>
                                    <?php } ?>
                                    <a href="index.php?route=appointment/edit&id=<?php echo $value['id']; ?>" class="btn btn-outline btn-info btn-outline-1x btn-circle" data-toggle="tooltip" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
                                    <a class="btn btn-outline btn-danger btn-outline-1x btn-circle table-delete" data-toggle="tooltip" data-placement="top" title="Delete">
                                        <i class="fa fa-trash-o"></i>
                                        <input type="hidden" value="<?php echo $value['id']; ?>">
                                    </a>
                                </div>
                            </div>
                        </div>  
                    </div>
                </td>
            </tr>
            <?php } } ?>
        </tbody>
    </table>
</div>

<!-- Delete Modal -->
<div id="delete-card" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Confirm Delete</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <p class="delete-card-ttl">Are you sure you want to delete?</p>
            </div>
            <div class="modal-footer">
                <form action="index.php?route=appointment/delete" class="delete-card-button" method="post">
                    <input type="hidden" value="" name="id">
                    <button type="submit" class="btn btn-danger" name="delete">Delete</button>
                </form>
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!-- Footer -->
<?php include (DIR_ADMIN.'app/views/common/footer.tpl.php'); ?>