<?php include (DIR_ADMIN.'app/views/common/header.tpl.php'); ?>
<script>
    $('#setting').show();
    $('#setting-li>a').addClass('active');</script>
</script>

<div class="page-hdr">
    <div class="row">
        <div class="col-8 page-name">
            <h1><i class="fa fa-plus-square"></i>Tax Rates</h1>
        </div>
    </div>
</div>
<?php if (isset($message) && !empty($message)) { ?>
<div class="alert alert-<?php echo $message['alert']; ?> alert-dismissible" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <strong><?php echo ucfirst($message['alert']); ?> - </strong> <?php echo $message['value']; ?>
</div>
<?php } ?>
<!-- Tax list page start -->
<div class="content">
    <div class="row">
        <div class="col-md-8">
            <div class="panel panel-default">
                <div class="panel-head">
                    <div class="panel-title">
                        <i class="icon-credit-card panel-head-icon"></i>
                        <span class="panel-title-text"><?php echo $page_title; ?></span>
                    </div>
                    <div class="panel-action">
                        <a class="btn btn-success btn-sm" data-toggle="modal" data-target="#addTax"><i class="icon-plus mr-1"></i> New Tax</a>
                    </div>  
                </div>
                <div class="panel-wrapper">
                    <div class="table-container">
                        <table class="table table-bordered table-striped datatable-table">
                            <thead>
                                <tr class="table-heading">
                                    <th class="table-srno">#</th>
                                    <th>Tax Name</th>
                                    <th>Rate(%)</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if ($result) { foreach ($result as $key => $value) { ?>
                                <tr> 
                                    <td class="table-srno"><?php echo $key+1; ?></td>
                                    <td><a class="text-primary font-14"><?php echo $value['name']; ?></a></td>
                                    <td><?php echo $value['rate']; ?></td>
                                    <td class="table-action">
                                        <a id="edit-tax" class="btn btn-outline btn-info btn-outline-1x btn-circle" data-name="<?php echo $value['name'] ?>" data-rate="<?php echo $value['rate'] ?>" data-id="<?php echo $value['id'] ?>" data-toggle="tooltip" data-placement="top" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
                                        <a class="btn btn-outline btn-danger btn-outline-1x btn-circle table-delete" data-toggle="tooltip" data-placement="top" title="Delete"><i class="fa fa-trash-o"></i><input type="hidden" value="<?php echo $value['id'];?>"></a>
                                    </td>
                                </tr>
                                <?php } } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <?php include (DIR_ADMIN.'app/views/common/finance-menu.tpl.php'); ?>
        </div>
    </div>
</div>

<!-- Delete Modal -->
<div id="delete-card" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Confirm Delete</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <p class="delete-card-ttl">Are you sure you want to delete?</p>
            </div>
            <div class="modal-footer">
                <form action="index.php?route=tax/delete" class="delete-card-button" method="post">
                    <input type="hidden" value="" name="id">
                    <button type="submit" class="btn btn-danger" name="delete">Delete</button>
                </form>
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!-- ADD EDIT MODAL -->
<div class="modal fade" id="addTax" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">New Tax Rate</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="<?php echo $action; ?>" method="post">
                <div class="modal-body">
                    <div class="pt-4 pr-5 pl-5 pb-1">
                        <div class="form-group">
                            <label class="col-form-label">Tax Name</label>
                            <div>
                                <input type="text" class="form-control" name="name" placeholder="Item Name">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-form-label">Rate (%)</label>
                            <div class="input-group">
                                <input type="text" class="form-control" name="rate" placeholder="Tax Rate">
                                <div class="input-group-append">
                                    <span class="input-group-text">%</span>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="id">
                        <input type="hidden" name="_token" value="<?php echo $token; ?>">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary font-12" data-dismiss="modal">Close</button>
                    <button type="submit" name="submit" class="btn btn-primary font-12">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        //New or Edit Payment type Modal *************
        $('body').on('click', '#edit-tax', function () {
            var ele = $(this);
            $('#addTax input[name="name"]').val(ele.data("name"));
            $('#addTax input[name="rate"]').val(ele.data("rate"));
            $('#addTax input[name="id"]').val(ele.data("id"));
            
            $('#addTax .modal-title').text('Edit Tax Rate');
            $('#addTax').modal('show');
        });

        $('#addTax').on('hidden.bs.modal', function (e) {
            $('#addTax .modal-title').text('New Tax Rate');
            $('#addTax input').not( "[name='_token']" ).val('');
            $('#addTax textarea').val('');
        });

        $('#finance-tax').addClass('active');
    });
</script>
<!-- Footer -->
<?php include (DIR_ADMIN.'app/views/common/footer.tpl.php'); ?>