<?php include (DIR_ADMIN.'app/views/common/header.tpl.php'); ?>
<script>
	$('#patient').show();
	$('#patient-li>a').addClass('active');</script>
</script>

<form action="<?php echo $action ?>" method="post">
	<div class="page-hdr">
		<div class="row">
			<div class="col-8 page-name">
				<h1><i class="fa fa-credit-card"></i>Invoice Edit</h1>
			</div>
			<div class="col-4 page-menu">
				<a id="cancel" href="index.php?route=invoice" data-toggle="tooltip" data-placement="left" title="Back to List"><i class="fa fa-reply"></i></a>
				<button type="submit" name="submit" data-toggle="tooltip" data-placement="left" title="Save Appointment"><i class="fa fa-floppy-o"></i></button>
			</div>
		</div>
	</div>
	<?php if (isset($message) && !empty($message)) { ?>
	<div class="alert alert-<?php echo $message['alert']; ?> alert-dismissible" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		<strong><?php echo ucfirst($message['alert']); ?> - </strong> <?php echo $message['value']; ?>
	</div>
	<?php } ?>

	<div class="content">
		<div class="content-block content-block-horizantal">
			<div class="content-block-ttl">Invoice Details</div>
			<div class="content-block-main">
				<input type="hidden" name="_token" value="<?php echo $token; ?>">
				<div class="row pl-4 pr-4">
					<div class="col-sm-6">
						<label class="col-form-label">Patient Name</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text"><i class="icon-user"></i></span>
							</div>
							<input type="text" name="invoice[name]" class="form-control" value="<?php echo $result['name']; ?>" placeholder="Patient Name">
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Patient Email</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text"><i class="icon-envelope"></i></span>
							</div>
							<input type="email" name="invoice[email]" value="<?php echo $result['email']; ?>" class="form-control" placeholder="Patient Email">
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Patient Mobile Number</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text"><i class="icon-phone"></i></span>
							</div>
							<input type="text" name="invoice[mobile]" value="<?php echo $result['mobile']; ?>" class="form-control" placeholder="Patient Mobile Number">
						</div>
					</div>
					<div class="col-sm-6">
						<label class="col-form-label">Doctor</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<label class="input-group-text"><i class="fa fa-user-md"></i></label>
							</div>
							<select class="custom-select" name="invoice[doctor]" required>
								<option>Select Doctor</option>
								<?php if (!empty($doctors)) { foreach ($doctors as $key => $value) { ?>
								<option value="<?php echo $value['id'] ?>" <?php if ($result['doctor_id'] == $value['id']) { echo "selected"; } ?> ><?php echo $value['name']; ?></option>
								<?php } } ?>
							</select>
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Create Date</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text"><i class="icon-calendar"></i></span>
							</div>
							<input type="text" class="form-control" value="<?php echo date_format(date_create($result['date_of_joining']), 'd-m-Y'); ?>" placeholder="Create Date">
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Due Date</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text"><i class="icon-calendar"></i></span>
							</div>
							<input type="text" name="invoice[duedate]" value="<?php echo date_format(date_create($result['duedate']), 'd-m-Y'); ?>" class="form-control date" placeholder="Due Date">
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Currency</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<label class="input-group-text"><i class="icon-credit-card"></i></label>
							</div>
							<select class="custom-select" name="invoice[currency]">
								<?php if (!empty($currency)) { foreach ($currency as $key => $value) { ?>
								<option value="<?php echo $value['id'] ?>" <?php if ($result['currency'] == $value['id']) { echo "selected"; } ?>><?php echo $value['name']; ?></option>
								<?php } } ?>
							</select>
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Payment Method</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<label class="input-group-text"><i class="icon-credit-card"></i></label>
							</div>
							<select class="custom-select" name="invoice[method]">
								<?php if (!empty($payment_method)) { foreach ($payment_method as $key => $value) { ?>
								<option value="<?php echo $value['id'] ?>" <?php if ($result['method'] == $value['id']) { echo "selected"; } ?>><?php echo $value['name']; ?></option>
								<?php } } ?>
							</select>
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Payment Status</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<label class="input-group-text"><i class="icon-credit-card"></i></label>
							</div>
							<select name="invoice[status]" id="" class="custom-select" required="">
								<option value="Paid" <?php if ($result['status'] == "Paid") { echo "selected"; } ?>>Paid</option>
								<option value="Partially Paid" <?php if ($result['status'] == "Partially Paid") { echo "selected"; } ?>>Partially Paid</option>
								<option value="Unpaid" <?php if ($result['status'] == "Unpaid") { echo "selected"; } ?>>Unpaid</option>
								<option value="Cancelled" <?php if ($result['status'] == "Cancelled") { echo "selected"; } ?>>Cancelled</option>
								<option value="Other" <?php if ($result['status'] == "Other") { echo "selected"; } ?>>Other</option>
								<option value="Unknown" <?php if ($result['status'] == "Unknown") { echo "selected"; } ?>>Unknown</option>
							</select>
						</div>
					</div>
					<div class="col-sm-3">
						<label class="col-form-label">Paid Date</label>
						<div class="input-group">
							<div class="input-group-prepend">
								<label class="input-group-text"><i class="icon-calendar"></i></label>
							</div>
							<input type="text" name="invoice[paiddate]" value="<?php echo date_format(date_create($result['paiddate']), 'd-m-Y'); ?>" class="form-control date" placeholder="Paid Date">
						</div>
					</div>
					<div class="col-12">
						<div class="invoice-items pt-3">
							<table class="table-input">
								<thead>
									<tr>
										<th>Item Name</th>
										<th>Item Description</th>
										<th>Quantity</th>
										<th>Unit Cost</th>
										<th>Tax (in %)</th>
										<th>Tax price</th>
										<th>Price</th>
									</tr>
								</thead>
								<tbody>
									<?php if (!empty($result['items'])) { foreach ($result['items'] as $key => $value) { ?>
									<tr class="item-row">
										<td class="">
											<textarea name="invoice[item][<?php echo $key; ?>][name]" class="item-name"><?php echo $value['name']; ?></textarea>
											<a href="#" class="delete"><i class="icon-close"></i></a>
										</td>
										<td class="invoice-item">
											<textarea name="invoice[item][<?php echo $key; ?>][descr]" class="item-descr"><?php echo $value['descr']; ?></textarea>
										</td>
										<td class="">
											<textarea type="text" name="invoice[item][<?php echo $key; ?>][quantity]" class="item-quantity"><?php echo $value['quantity']; ?></textarea>
										</td>
										<td class="">
											<textarea type="text" name="invoice[item][<?php echo $key; ?>][cost]" class="item-cost"><?php echo $value['cost']; ?></textarea>
										</td>
										<td class="invoice-tax">
											<select name="invoice[item][<?php echo $key; ?>][tax]" class="custom-select item-tax">
												<option value="0" data-rate="0">None</option>
												<?php if ($taxes) { foreach ($taxes as $tax_key => $tax_value) { ?>
												<option value="<?php echo $tax_value['id'] ?>" data-rate="<?php echo $tax_value['rate'] ?>" <?php if ($tax_value['id'] == $value['tax']) { echo "selected"; } ?> ><?php echo $tax_value['name'].' ('.$tax_value['rate'].'%)'; ?></option>
												<?php } } ?>
											</select>
										</td>
										<td>
											<textarea type="text" name="invoice[item][<?php echo $key; ?>][taxprice]" class="item-tax-price" readonly><?php echo $value['taxprice']; ?></textarea>
										</td>
										<td>
											<textarea type="text" name="invoice[item][<?php echo $key; ?>][price]" class="item-total-price" readonly><?php echo $value['price']; ?></textarea>
											<input type="hidden" class="item-price" value="<?php echo $value['price']; ?>">
										</td>
									</tr>
									<?php } } else {  ?>
									<tr class="item-row">
										<td class="">
											<textarea name="invoice[item][0][name]" class="item-name"></textarea>
											<a href="#" class="delete"><i class="icon-close"></i></a>
										</td>
										<td class="invoice-item">
											<textarea name="invoice[item][0][descr]" class="item-descr"></textarea>
										</td>
										<td class="">
											<textarea type="text" name="invoice[item][0][quantity]" class="item-quantity">1</textarea>
										</td>
										<td class="">
											<textarea type="text" name="invoice[item][0][cost]" class="item-cost"></textarea>
										</td>
										<td class="invoice-tax">
											<select name="invoice[item][0][tax]" class="custom-select item-tax">
												<option value="0" data-rate="0">None</option>
												<?php if ($taxes) { foreach ($taxes as $key => $value) { ?>
												<option value="<?php echo $value['id'] ?>" data-rate="<?php echo $value['rate'] ?>"><?php echo $value['name'].' ('.$value['rate'].'%)'; ?></option>
												<?php } } ?>
											</select>
										</td>
										<td class="">
											<textarea type="text" name="invoice[item][0][taxprice]" class="item-tax-price" readonly>0</textarea>
										</td>
										<td class="">
											<textarea type="text" name="invoice[item][0][price]" class="item-total-price" readonly></textarea>
											<input type="hidden" class="item-price">
										</td>
									</tr>
									<?php } ?>
									<tr>
										<td colspan="2" class="p-2">
											<div class="add-items d-inline-block">
												<a class="btn btn-success btn-sm"><i class="icon-plus mr-1"></i> Add items</a>
											</div>
										</td>
										<td colspan="3" class="total-line">
											<label>Sub Total</label>
										</td>
										<td colspan="2" class="total-value">
											<input type="text" name="invoice[subtotal]" class="form-transparent sub-total" value="<?php echo $result['subtotal'] ?>" readonly>
										</td>
									</tr>
									<tr>
										<td colspan="2" class="blank">
										</td>
										<td colspan="3" class="total-line">
											<label>Tax</label>
										</td>
										<td colspan="2" class="total-value">
											<input type="text" name="invoice[tax]" class="form-transparent tax-total" value="<?php echo $result['tax'] ?>" readonly>
										</td>
									</tr>
									<tr>
										<td colspan="2" class="blank">
										</td>
										<td colspan="3" class="total-line">
											<div class="row align-items-center">
												<div class="col-9"><label>Discount</label></div>
												<div class="col-3">
													<select name="invoice[discounttype]" class="form-control discount-type">
														<option value="1" <?php if ($result['discounttype'] == 1) { echo "selected"; } ?>>%</option>
														<option value="2" <?php if ($result['discounttype'] == 2) { echo "selected"; } ?>>Flat</option>
													</select>
												</div>
											</div>
										</td>
										<td colspan="2" class="total-value">
											<input type="text" name="invoice[discount]" class="form-transparent discount-total" value="<?php echo $result['discount'] ?>">
											<input type="hidden" class="discount_amount" name="invoice[discount_value]"  value="<?php echo $result['discount_value'] ?>">
										</td>
									</tr>
									<tr>
										<td colspan="2" class="blank">
										</td>
										<td colspan="3" class="total-line">
											<label>Total</label>
										</td>
										<td colspan="2" class="total-value">
											<input type="text" name="invoice[amount]" class="form-transparent  total-amount" value="<?php echo $result['amount'] ?>" readonly>
										</td>
									</tr>
									<tr>
										<td colspan="2" class="blank">
										</td>
										<td colspan="3" class="total-line">
											<label>Amount Paid</label>
										</td>
										<td colspan="2" class="total-value">
											<input type="text" name="invoice[paid]" class="form-transparent paid-amount" value="<?php echo $result['paid'] ?>">
										</td>
									</tr>
									<tr>
										<td colspan="2" class="blank">
										</td>
										<td colspan="3" class="total-line">
											<label>Amount Due</label>
										</td>
										<td colspan="2" class="total-value">
											<input type="text"  name="invoice[due]" class="form-transparent due-amount" value="<?php echo $result['due'] ?>" readonly>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="pt-5">
							<div class="row">
								<div class="col-sm-6">
									<div class="form-group">
										<label>Customer Notes</label>
										<textarea class="form-control"  name="invoice[note]" rows="3"><?php echo $result['note']; ?></textarea>
										<span class="form-text">Will be displayed on the invoice</span>
									</div>
								</div>
								<div class="col-sm-6">
									<div class="form-group">
										<label>Terms &#38; Conditions</label>
										<textarea class="form-control"  name="invoice[tc]" rows="3"><?php echo $result['tc']; ?></textarea>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>

			</div>
		</div>
		<input type="hidden" class="taxes" value="<?php echo htmlspecialchars(htmlspecialchars_decode(json_encode($taxes), JSON_UNESCAPED_UNICODE), ENT_QUOTES, 'UTF-8'); ?>">
		<input type="hidden" name="invoice[appointment_id]" value="<?php echo $result['appointment_id']; ?>">
		<input type="hidden" name="id" value="<?php echo $result['id']; ?>">
		<div class="content-submit text-center">
			<button type="submit" name="submit" class="btn btn-primary">Save</button>
		</div>
	</div>
</form>

<script type='text/javascript' src='public/js/invoice.js'></script>

<!-- Delete Modal -->
<div id="delete-card" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title">Confirm Delete</h4>
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>
			<div class="modal-body">
				<p class="delete-card-ttl">Are you sure you want to delete?</p>
			</div>
			<div class="modal-footer">
				<form action="index.php?route=invoice/delete" class="delete-card-button" method="post">
					<input type="hidden" value="" name="id">
					<button type="submit" class="btn btn-danger" name="delete">Delete</button>
				</form>
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
		</div>
	</div>
</div>
