<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
	<title><?php echo $info['name']; ?></title>
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Montserrat:400">
	<link rel='stylesheet' type='text/css' href='public/css/invoice.css' />
	<link rel='stylesheet' type='text/css' href='public/css/print.css' media="print" />
	<script type='text/javascript' src='public/js/jquery-2.1.4.min.js'></script>
	<script type='text/javascript' src='public/js/invoice.js'></script>
</head>
<body>
	<?php if (isset($message) && !empty($message)) { ?>
	<div class="success alert alert-<?php echo $message['alert']; ?> alert-dismissible" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		<strong><?php echo ucfirst($message['alert']); ?> - </strong> <?php echo $message['value']; ?>
	</div>
	<?php } ?>
	<div id="page-wrap">
		<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
			<input type="hidden" name="_token" value="<?php echo $token; ?>">
			<textarea id="header">INVOICE</textarea>
			<div id="identity">
				<textarea id="address" name="address" placeholder="Address"><?php if (!empty($result['addresss'])) {
					echo $result['address']; } else { echo ADDRESS; ; } ?></textarea>
					<div id="logo">
						<img id="image" src="../public/uploads/<?php echo $info['logo']; ?>" alt="logo" />
						<input type="hidden" name="appointment-id" value="<?php echo $result['appointment_id']; ?>" />
					</div>
				</div>
				<div style="clear:both"></div>
				<div id="customer">
					<table class="patient-info">
						<tr>
							<td class="patient-info-title">
								<label>Patient Info</label>
							</td>
							<td></td>
						</tr>
						<tr>
							<td class="patient-info-title">Name </td>
							<td>
								<input type="text" class="patient-name" name="name" placeholder="Name" value="<?php echo $result['name']; ?>" />
							</td>
						</tr>
						<tr>
							<td class="patient-info-title">Email </td>
							<td>
								<input type="text" id="customer-email" name="email" placeholder="Customer Email" value="<?php echo $result['email']; ?>" />
							</td>
						</tr>
						<tr>
							<td class="patient-info-title">Phone Number</td>
							<td>
								<input type="text" id="customer-mobile" name="mobile" placeholder="Customer Mobile" value="<?php echo $result['mobile']; ?>" />
							</td>
						</tr>
					</table>
					
					<table class="meta">
						<tr>
							<td class="meta-head">Invoice #</td>
							<td><?php echo $result['id']; ?> <input type="hidden" name="invoice-id" value="<?php echo $result['id']; ?>" /> </td>
						</tr>
						<tr>
							<td class="meta-head">Attending Dr.</td>
							<td>
								<input type="text" name="doctor" value="<?php echo $result['doctor']; ?>" placeholder="Doctor Name">
								
								<input type="hidden" name="doctor-id" value="<?php echo $result['doctor_id']; ?>" />
							</td>
						</tr>
						<tr>
							<td class="meta-head">Date</td>
							<td>
								<input type="text" name="date" value="<?php if (!empty($result['date'])) { echo $result['date']; } else { echo date('Y-m-d'); } ?>" placeholder="Date">		    
							</td>
						</tr>
						<tr>
							<td class="meta-head">Amount Due</td>
							<td><div class="due"><?php echo $result['due']; ?></div></td>
						</tr>
					</table>
				</div>
				
				<table id="items">
					<tr>
						<th>Name</th>
						<th>Unit Cost <span class="currency">(<?php echo $info['currency']; ?>)</span></th>
						<th>Quantity</th>
						<th>Tax(%)</th>
						<th>Tax <span class="currency">(<?php echo $info['currency']; ?>)</span></th>
						<th>Price <span class="currency">(<?php echo $info['currency']; ?>)</span></th>
					</tr>
					<?php if(isset($items)) { foreach ($items as $key => $value) { ?>
					<tr class="item-row">
						<td class="item-name">
							<div class="delete-wpr">
								<textarea name="invoice[item-name][]"><?php echo $value['name']; ?></textarea>
								<a class="delete" href="javascript:;" title="Remove row">X</a>
							</div>
						</td>
						<td><textarea class="cost" name="invoice[cost][]"><?php echo $value['cost']; ?></textarea></td>
						<td><textarea class="qty" name="invoice[qty][]"><?php echo $value['qty']; ?></textarea></td>
						<td><textarea class="tax" name="invoice[tax][]"><?php echo $value['tax']; ?></textarea></td>
						<td><span class="tax-price"></span></td>
						<td><span class="price"></span></td>
					</tr>
					<?php } } else { ?>
					<tr class="item-row">
						<td class="item-name">
							<div class="delete-wpr">
								<textarea name="invoice[item-name][]">Item Name</textarea>
								<a class="delete" href="javascript:;" title="Remove row">X</a>
							</div>
						</td>
						<td><textarea class="cost" name="invoice[cost][]">0</textarea></td>
						<td><textarea class="qty" name="invoice[qty][]">0</textarea></td>
						<td><textarea class="tax" name="invoice[tax][]">0</textarea></td>
						<td><span class="tax-price"></span></td>
						<td><span class="price"></span></td>
					</tr>			
					<?php } ?>
					<tr id="hiderow">
						<td colspan="6"><a id="addrow" href="javascript:;" title="Add a row">Add a row</a></td>
					</tr>
					<tr>
						<td colspan="3" class="blank"> </td>
						<td colspan="2" class="total-line">Subtotal <span class="currency">(<?php echo $info['currency']; ?>)</span></td>
						<td class="total-value"><div id="subtotal">$</div></td>
					</tr>
					<tr>
						<td colspan="3" class="blank"> </td>
						<td colspan="2" class="total-line">Tax <span class="currency">(<?php echo $info['currency']; ?>)</span></td>
						<td class="total-value"><div id="tax_amount"></div></td>
					</tr>
					<tr>
						<td colspan="3" class="blank"> </td>
						<td colspan="2" class="total-line">Discount <span class="currency">(<?php echo $info['currency']; ?>)</span></td>
						<td class="total-value"><textarea id="discount" name="discount"><?php echo $result['discount']; ?></textarea></td>
					</tr>
					<tr>
						<td colspan="3" class="blank"> </td>
						<td colspan="2" class="total-line">Total <span class="currency">(<?php echo $info['currency']; ?>)</span></td>
						<td class="total-value">
							<div id="total"></div>
							<input type="hidden" name="total" value="" />
						</td>
					</tr>

					<tr>
						<td colspan="3" class="blank"> </td>
						<td colspan="2" class="total-line">Amount Paid <span class="currency">(<?php echo $info['currency']; ?>)</span></td>
						<td class="total-value"><textarea id="paid" name="paid"><?php echo $result['paid']; ?></textarea></td>
					</tr>
					<tr>
						<td colspan="3" class="blank"> </td>
						<td colspan="2" class="total-line balance">Amount Due <span class="currency">(<?php echo $info['currency']; ?>)</span></td>
						<td class="total-value balance">
							<div class="due">
								<?php echo $result['due']; ?> 
							</div>
							<input type="hidden" name="due" value="" />
							<input type="hidden" name="currency" value="<?php echo $info['currency']; ?>" />
						</td>
					</tr>
				</table>

				<div id="terms">
					<h5>Note</h5>
					<textarea name="note" placeholder="Enter Comment or Note"><?php echo $result['note']; ?></textarea>
				</div>
				<div class="bottom">
					<a href="javascript:window.print()">Print</a>
					<button class="submit-button" type="submit" name="submit">Save Invoice</button>
				</div>
				
			</form>
		</div>
	</body>
	</html>