<?php include (DIR_ADMIN.'app/views/common/header.tpl.php'); ?>
<script>
    $('#patient').show();
    $('#patient-li>a').addClass('active');</script>
</script>
<!-- Invoice List Page start -->
<div class="page-hdr">
    <div class="row">
        <div class="col-8 page-name">
            <h1><i class="fa fa-credit-card"></i>Invoices</h1>
        </div>
        <div class="col-4 page-menu">
            <a id="cancel" href="index.php?route=invoice" data-toggle="tooltip" data-placement="left" title="Reload"><i class="fa fa-refresh"></i></a>
            <a href="index.php?route=invoice/add&id=0" data-toggle="tooltip" data-placement="left" title="Create Invoice"><i class="fa fa-plus"></i></a>
        </div>
    </div> 
</div>
<?php if (isset($message) && !empty($message)) { ?>
<div class="alert alert-<?php echo $message['alert']; ?> alert-dismissible" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <strong><?php echo ucfirst($message['alert']); ?> - </strong> <?php echo $message['value']; ?>
</div>
<?php } ?>
<div class="content">
    <div class="well">
        <div class="row">
            <div class="col-sm-3">
                <div class="form-group">
                    <label class="control-label">Doctor</label>
                    <select id="filter-doctor" class="form-control">
                        <option value=""></option>
                        <?php if (!empty($doctors)) { foreach ($doctors as $key => $value) { ?>
                        <option value="<?php echo 'Dr. '.$value['name']; ?>"><?php echo 'Dr. '.$value['name']; ?></option>
                        <?php } } ?>
                    </select>
                </div>
            </div>
            <div class="col-sm-3">
                <div class="form-group">
                    <label class="control-label">Start Date</label>
                    <input type="text" id="filter-start-date" class="form-control filter-date">
                </div>
            </div>
            <div class="col-sm-3">
                <div class="form-group">
                    <label class="control-label">End Date</label>
                    <input type="text" id="filter-end-date" class="form-control filter-date">
                </div>
            </div>
            <div class="col-sm-12">
                <div class="pull-right">
                    <button id="reset" class="btn btn-default btn-sm">Reset</button>
                    <button id="filter-invoice" class="btn btn-primary btn-sm"><i class="fa fa-filter"></i>Filter</button>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            /*Doctor filter*/
            function filterByDoctor(filter) {
                $('.invoice-container .invoice-card').each(function (index) {
                    var x = "Dr. ",
                    doctor = x.concat($(this).find('.invoice-doctor-name').text().trim());
                    if (doctor.indexOf(filter) == 0) {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                });
            }
            /*Single date filter*/
            function filterByDate(filter) {
                $('.invoice-container .invoice-card').each(function (index) {
                    var date = $(this).find('.card-ftr span').text().trim();
                    if (date.indexOf(filter) == 0 && $(this).css('display') == 'block') {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                });
            }
            /*Date range filter*/    
            function filterByDateRange(start_date, end_date) {
                var start_date = new Date(start_date),
                end_date = new Date(end_date);
                $('.invoice-container .invoice-card').each(function (index) {
                    var date = new Date($(this).find('.card-ftr span').text().trim());
                    if ( date >= start_date && $(this).css('display') == 'block') {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                    if (date > end_date  && $(this).css('display') == 'block') {
                        $(this).hide();
                    }
                });
            }
            /*Filter Submit*/
            $('#filter-invoice').click(function() {

            });
            $('#reset').click(function() {
                window.location.reload();
            })
            var invoiceTable;
            var invoiceSettings;
            $(document).ready(function(){
                invoiceTable = $('.invoice-table').DataTable( {
                    "aLengthMenu": [[10, 25, 50, 75, -1], [10, 25, 50, 75, "All"]],
                    "iDisplayLength": 25,
                    "bSort": false,
                    "pagingType": "full_numbers"
                });
                invoiceSettings = invoiceTable.settings();
            });

            /*Filter Submit*/
            $('#filter-invoice').click(function() {
                invoiceSettings[0]._iDisplayLength = invoiceSettings[0].fnRecordsTotal();
                invoiceTable.draw();  
                $('.invoice-card').show();
                if ($('#filter-doctor').val() !== '') {
                    filterByDoctor($('#filter-doctor').val());
                }
                if ($('#filter-start-date').val() !== '' && $('#filter-end-date').val() !== '' ) {
                    filterByDateRange($('#filter-start-date').val(), $('#filter-end-date').val());
                }else if ($('#filter-start-date').val() !== '') {
                    filterByDate($('#filter-start-date').val());
                }
            });
        </script>
    </div>
    <div class="invoice-container">
        <table id="card-table" class="invoice-table table">
            <thead><tr><th style="display: none;"></th></tr></thead>
            <tbody>
                <?php if (!empty($result)) { foreach ($result as $key => $value) { ?>
                <tr>
                    <td>
                        <div class="card-block invoice-card">
                            <div class="card">
                                <div class="row card-hdr">
                                    <div class="col-2 card-left text-left">
                                        <span class="text-center"><?php echo $key+1; ?></span>
                                    </div>
                                    <div class="col-10 text-right card-right">
                                        <em>Invoice Id : </em> <span>INV-<?php echo str_pad($value['id'], 4, '0', STR_PAD_LEFT); ?></span>
                                    </div>
                                </div>
                                <div class="row card-bdy">
                                    <div class="col-sm-7 text-left">
                                        <div class="card-img card-icon">
                                            <i class="fa fa-user-o fa-3x"></i>
                                        </div>
                                        <div class="card-info">
                                            <div class="card-name"><?php echo $value['name']; ?></div>
                                            <div class="card-text"><?php echo $value['email']; ?></div>
                                            <div class="card-text"><?php echo $value['mobile']; ?></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-5 text-right">
                                        <a href="index.php?route=themeoption/doctor/edit&id=<?php echo $value['doctor_id']; ?>" class="invoice-doctor-name" target="_blank"><i class="fa fa-user-md"></i><?php echo $value['doctor']; ?></a>
                                        <div class="invoice-amount">
                                            <p><span>Amount - </span><span><?php echo $value['abbr'].' '.$value['amount']; ?></span></p>
                                            <p><span>Due - </span><span><?php echo $value['abbr'].' '.$value['due']; ?></span></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-ftr">
                                    <div class="text-left">
                                        <span class="badge badge-light badge-sm"><?php echo date_format(date_create($value['date_of_joining']),"d M Y"); ?></span>
                                        <?php if (!empty($value['appointment_id'])) { ?>
                                        <a href="index.php?route=appointment/edit&id=<?php echo $value['appointment_id']; ?>" class="badge badge-primary badge-sm" target="_blank">Go to Appointment</a>
                                        <?php } ?>
                                    </div>
                                    <div class="card-action">
                                        <a href="index.php?route=invoice/view&id=<?php echo $value['id'];?>" class="btn btn-outline btn-secondary btn-outline-1x btn-circle" data-toggle="tooltip" title="View"><i class="fa fa-eye"></i></a>
                                        <a href="index.php?route=invoice/edit&id=<?php echo $value['id'];?>" class="btn btn-outline btn-info btn-outline-1x btn-circle" data-toggle="tooltip" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
                                        <a class="btn btn-outline btn-danger btn-outline-1x btn-circle table-delete" data-toggle="tooltip" title="Delete"><i class="fa fa-trash-o"></i><input type="hidden" value="<?php echo $value['id'];?>"></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </td>
                </tr>
                <?php } } ?>
            </tbody>
        </table>
    </div>
</div>

<!-- Delete Modal -->
<div id="delete-card" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Confirm Delete</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <p class="delete-card-ttl">Are you sure you want to delete?</p>
            </div>
            <div class="modal-footer">
                <form action="index.php?route=invoice/delete" class="delete-card-button" method="post">
                    <input type="hidden" value="" name="id">
                    <button type="submit" class="btn btn-danger" name="delete">Delete</button>
                </form>
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!-- Footer -->
<?php include (DIR_ADMIN.'app/views/common/footer.tpl.php'); ?>