<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title><?php echo $info['name']; ?> | Invoice Print</title>
	<link rel="icon" type="image/x-icon" href="public/images/favicon.png">
	<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500" rel="stylesheet">
	<link rel="stylesheet" href="public/css/bootstrap.min.css" />
	<link rel="stylesheet" href="public/css/style.css" />

	<script type="text/javascript" src="public/js/jquery-2.1.4.min.js"></script>
	<script type="text/javascript" src="public/js/popper.min.js"></script>
	<script type="text/javascript" src="public/js/bootstrap.min.js"></script>
</head>
<body>
	<div style="width: 990px; margin: 0 auto; position: relative; top: 30px;">
		<div class="panel panel-default">
			<div class="panel-wrapper">
				<div class="inv-template">
					<div class="inv-template-bdy">
						<table>
							<tbody>
								<tr>
									<td class="inv-logo">
										<img src="../public/uploads/<?php echo $info['logo']; ?>" alt="">
									</td>
									<td>
										<div class="inv-address">
											<span class="head"><?php echo $info['name']; ?><br></span>
											<span class="body"><?php echo $info['address']; ?></span>
										</div>
									</td>
									<td class="font-24 text-center">
										<div class="inv-title">INVOICE</div>
									</td>
								</tr>
								<tr class="inv-meta-container">
									<td>
										<div class="inv-bill-to">
											<p>Bill To</p>
											<p class="font-14"><?php echo $result['name']; ?></p>
											<p class="font-12"><?php echo $result['email']; ?></p>
											<p class="font-12"><?php echo $result['mobile']; ?></p>
										</div>
									</td>
									<td colspan="2" class="text-right">
										<div class="inv-meta">
											<p><span># : </span><span>INV-<?php echo str_pad($result['id'], 4, '0', STR_PAD_LEFT); ?></span></p>
											<p><span>Invoice Date : </span><span><?php echo date_format(date_create($result['date_of_joining']), 'd-m-Y'); ?></span></p>
											<p><span>Due Date : </span><span><?php echo date_format(date_create($result['duedate']), 'd-m-Y'); ?></span></p>
											<p><span>Payment Method : </span><span><?php echo $result['method']; ?></span></p>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
						<div class="inv-template-item">
							<table>
								<thead>
									<tr>
										<th>Item &#38; Description</th>
										<th>Qty</th>
										<th>Unit Cost(<?php echo $result['abbr']; ?>)</th>
										<th>Tax(<?php echo $result['abbr']; ?>)</th>
										<th>Price(<?php echo $result['abbr']; ?>)</th>
									</tr>
								</thead>
								<tbody>
									<?php if (!empty($result['item'])) {  $inv_items = json_decode($result['item'], true); foreach ($inv_items as $inv_key => $inv_value) { ?>
									<tr>
										<td class="item">
											<p><?php echo $inv_value['name']; ?></p>
											<span><?php echo $inv_value['descr']; ?></span>
										</td>
										<td><?php echo $inv_value['quantity']; ?></td>
										<td><?php echo $inv_value['cost']; ?></td>
										<td><?php echo $inv_value['taxprice']; ?></td>
										<td><?php echo $inv_value['price']; ?></td>
									</tr>
									<?php } } ?>
									<tr class="total">
										<td rowspan="6" colspan="3">
											<p><?php echo $result['note']; ?></p>
										</td>
										<td colspan="1"><span>Sub Total</span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['subtotal']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span>Tax</span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['tax']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span>Discount</span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['discount_value']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span>Total</span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['amount']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span>Paid</span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['paid']; ?></span></td>
									</tr>
									<tr class="total balance-due">
										<td colspan="1"><span>Balance Due</span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['due']; ?></span></td>
									</tr>
									<tr>
										<td colspan="5">
											<p class="font-12">Terms &#38; Conditions</p>
											<p class="font-16"><?php echo $result['tc']; ?></p>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
					<div class="inv-template-ftr"></div>
				</div>
			</div>
		</div>
	</div>
	<script>
		window.print();
	</script>
</body>
</html>