<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Prescription</title>
	<link rel="icon" type="image/x-icon" href="public/images/favicon.png">
	<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500" rel="stylesheet">
	<!-- Incclude css files -->
	<link rel="stylesheet" href="public/font-awesome/css/font-awesome.min.css" />
	<link rel="stylesheet" href="public/css/bootstrap.min.css" />
	<link rel="stylesheet" href="public/css/style.css" />
	<style>
		p {
			margin: 0;
		}
		.ps-wrapper {
			position: relative;
			top: 30px;
			width: 900px;
			min-height: 500px;
			margin: 0 auto;
			background: #fff;
		}
		.ps-hdr {
			padding: 10px 20px 10px 20px;
			border-bottom: 1px solid #999;
		}
		.ps-logo img {
			max-height: 40px;
		}
		.ps-logo .fa {
			font-size: 64px;
			color: #777;
		}
		.ps-clinic p {
			margin: 0;
			letter-spacing: .5px;
		}
		.ps-bdy {
			padding: 10px 20px 100px 20px;
		}
		.ps-medicine {
			padding: 10px 0;
		}
		.ps-medicine p {
			letter-spacing: .5px;
		}
		.ps-ftr {
			position: absolute;
			bottom: 0;
			left: 0;
			width: 100%;
			padding: 10px 20px 20px 20px;
			border-top: 1px solid #999;
		}
	</style>

	<script type="text/javascript" src="public/js/jquery-2.1.4.min.js"></script>
	<script>
		$(window).load(function() {
			window.print();
		});
	</script>
</head>
<body>
	<div class="ps-wrapper">
		<div class="ps-hdr">
			<div class="row align-items-center">
				<div class="col-4 ps-logo">
					<img src="../public/uploads/<?php echo $info['logo']; ?>" alt="">
				</div>
				<div class="col-8 text-right ps-clinic">
					<h1 class="font-16 font-400 m-0"><?php echo $info['name']; ?></h1>
					<p class="font-14">Dr. <?php echo $result['doctor']; ?></p>
					<p><?php echo $degree.', '.$specility; ?></p>
				</div>
			</div>
		</div>
		<div class="ps-bdy">
			<div class="row">
				<div class="col-8">
					<p class="font-14"><span class="font-12">Name : </span> <?php echo $result['patient']; ?></p>
				</div>
				<div class="col-4 text-right">
					<p class="font-14"><span class="font-12">Date : </span> <?php echo $result['date_of_joining']; ?></p>
				</div>
			</div>
			<div class="ps-medicine">
				<table class="table table-bordered">
					<tr>
						<th>Medicine Name</th>
						<th>Dose</th>
						<th>Duration</th>
						<th>Instruction</th>
					</tr>
					<?php foreach (json_decode($result['prescription'], true) as $key => $value) { ?>
					<tr>
						<td>
							<p class="font-14 color-primary"><?php echo $value['name']; ?></p>
							<p class="font-12"><?php echo $value['generic']; ?></p>
						</td>
						<td class="text-center"><p class="font-12"><?php echo $value['dose']; ?></p></td>
						<td class="text-center"><p class="font-12"><?php echo $value['duration'].' Day'; ?></p></td>
						<td class="text-center"><p class="font-12"><?php echo $value['instruction']; ?></p></td>
					</tr>
					<?php } ?>
				</table>
			</div>
		</div>
		<div class="ps-ftr text-right">
			<p class="font-13"><?php echo $info['address']; ?></p>
			<p class="font-13"><?php echo $info['email']; ?></p>
			<p class="font-13"><?php echo $info['mobile']; ?></p>
		</div>
	</div>
</body>
</html>