<?php include (DIR_ADMIN.'app/views/common/header.tpl.php'); ?>
<script>
	$('#<?php echo $link; ?>').show();
	$('#<?php echo $link; ?>-li>a').addClass('active');
</script>

<!-- User list page start -->
<div class="page-hdr">
	<div class="row">
		<div class="col-8 page-name">
			<h1><i class="fa fa-users"></i><?php echo $page_title; ?></h1>
		</div>
		<div class="col-4 page-menu">
			<a id="cancel" href="index.php?route=<?php echo $link; ?>" data-toggle="tooltip" data-placement="left" title="Reload"><i class="fa fa-refresh"></i></a>
			<a href="index.php?route=<?php echo $link; ?>/add" data-toggle="tooltip" data-placement="left" title="Add <?php echo ucfirst($link); ?>"><i class="fa fa-plus"></i></a>
		</div>
	</div>
</div>
<?php if (isset($message) && !empty($message)) { ?>
<div class="alert alert-<?php echo $message['alert']; ?> alert-dismissible" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	<strong><?php echo ucfirst($message['alert']); ?> - </strong> <?php echo $message['value']; ?>
</div>
<?php } ?>
<div class="content">
	<div class="well">
		<div class="row">
			<?php if ($user_type != 1) { ?>
			<div class="col-sm-3">
				<div class="form-group">
					<label class="control-label">Role</label>
					<select name="" id="filter-role" class="form-control">
						<option value=""></option>
						<option value="Handler">Handler</option>
						<option value="Doctor">Doctor</option>
						<option value="Dean">Dean</option>
					</select>
				</div>
			</div>
			<?php } ?>
			<div class="col-sm-3">
				<div class="form-group">
					<label class="control-label">Status</label>
					<select name="" id="filter-status" class="form-control">
						<option value=""></option>
						<option value="Active">Active</option>
						<option value="InActive">In Active</option>
					</select>
				</div>
			</div>
			<div class="col-sm-3">
				<div class="form-group">
					<label class="control-label">Start Date</label>
					<input type="text" id="filter-start-date" class="form-control filter-date">
				</div>
			</div>
			<div class="col-sm-3">
				<div class="form-group">
					<label class="control-label">End Date</label>
					<input type="text" id="filter-end-date" class="form-control filter-date">
				</div>
			</div>
			<div class="col-sm-12">
				<div class="pull-right">
					<button id="reset" class="btn btn-default btn-sm">Reset</button>
					<button id="filter-user" class="btn btn-primary btn-sm"><i class="fa fa-filter"></i> Filter</button>
				</div>
			</div>
		</div>
		<script type="text/javascript">
			/*Doctor filter*/
			function filterByRole(filter) {
				$('#user-table tr').each(function (index) {
					var role = $(this).find('.user-role').text().trim();
					if (role.indexOf(filter) == 0) {
						$(this).show();
					} else {
						$(this).hide();
					}
				});
			}
			/*Status filter*/
			function filterByStatus(filter) {
				$('#user-table tr').each(function (index) {
					var status = $(this).find('.user-status').text().trim();
					if (status.indexOf(filter) == 0 && $(this).css('display') == 'table-row') {
						$(this).show();
					} else {
						$(this).hide();
					}
				});
			}
			/*Single date filter*/
			function filterByDate(filter) {
				$('#user-table tr').each(function (index) {
					var date = $(this).find('.user-date').text().trim();
					if (date.indexOf(filter) == 0 && $(this).css('display') == 'table-row') {
						$(this).show();
					} else {
						$(this).hide();
					}
				});
			}
			/*Date range filter*/    
			function filterByDateRange(start_date, end_date) {
				var start_date = new Date(start_date);
				var end_date = new Date(end_date);

				$('#user-table tr').each(function (index) {
					var date = new Date($(this).find('.user-date').text().trim());
					if ( date >= start_date && $(this).css('display') == 'table-row') {
						$(this).show();
					} else {
						$(this).hide();
					}
					if (date > end_date  && $(this).css('display') == 'table-row') {
						$(this).hide();
					}
				});
			}
			
			$('#reset').click(function() {
				window.location.reload();
			})

			var userTable;
			var userSettings;
			$(document).ready(function(){
				userTable = $('#user-table').DataTable( {
					"aLengthMenu": [[10, 25, 50, 75, -1], [10, 25, 50, 75, "All"]],
					"iDisplayLength": 25,
					"bSort": true,
					"pagingType": "full_numbers",
					"responsive": true
				});
				userSettings = userTable.settings();
			});

			$('#filter-user').click(function() {
				userSettings[0]._iDisplayLength = userSettings[0].fnRecordsTotal();
				userTable.draw();
				$('#user-table tr').show();
				if ($('#filter-role').val() !== '' && typeof($('#filter-role').val()) !== "undefined") {
					filterByRole($('#filter-role').val());
				}
				if ($('#filter-status').val() !== '') {
					filterByStatus($('#filter-status').val());
				}
				if ($('#filter-start-date').val() !== '' && $('#filter-end-date').val() !== '' ) {
					filterByDateRange($('#filter-start-date').val(), $('#filter-end-date').val());
				}else if ($('#filter-start-date').val() !== '') {
					filterByDate($('#filter-start-date').val());
				}
				$('.table-heading').show();
			});
			$('#reset').click(function() {
				window.location.reload();
			})
		</script>
	</div>
	<div class="table-container">
		<table id="user-table" class="table table-bordered table-striped">
			<thead>
				<tr class="table-heading">
					<th class="table-srno">#</th>
					<th>Person Info</th>
					<th>User Name</th>
					<th>User Role</th>
					<th>Status</th>
					<th>Created Date</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody>
				<?php if (isset($result) && !empty($result)) { $flag = 1; foreach ($result as $key => $value) { ?>
				<tr>
					<td class="table-srno"><?php echo $flag; ?></td>
					<td>
						<p class="font-16 margin-0"><?php echo $value['firstname'] .' '. $value['lastname']; ?></p>
						<p class="font-12 margin-0"><?php echo $value['email']; ?></p>
						<p class="font-12 margin-0"><?php echo $value['mobile']; ?></p>
					</td>
					<td class="username">
						<?php echo $value['username']; ?>
					</td>
					<td class="user-role">
						<?php echo $value['role']; ?>
					</td>
					<td class="user-status">
						<?php if ($value['status'] == '0') { ?>
						<span class="badge badge-sm badge-warning badge-pill">InActive</span>
						<?php  } else { ?>
						<span class="badge badge-sm badge-success badge-pill">Active</span>
						<?php } ?>
					</td>
					<td class="user-date">
						<?php echo $value['date']; ?>
					</td>
					<td class="table-action">
						<?php if ($value['role'] != "Admin") { ?>
						<a href="index.php?route=user/edit&id=<?php echo $value['id'];?>" class="btn btn-outline btn-info btn-outline-1x btn-circle" data-toggle="tooltip" title="Edit">
							<i class="fa fa-pencil-square-o"></i>
						</a>
						<a class="btn btn-outline btn-danger btn-outline-1x btn-circle table-delete" data-toggle="tooltip" title="Delete">
							<i class="fa fa-trash-o"></i><input type="hidden" value="<?php echo $value['id'];?>">
						</a>
						<?php } ?>
					</td>
				</tr>
				<?php $flag++; } } ?>
			</tbody>
		</table>
	</div>
</div>

<!-- Delete Modal -->
<div id="delete-card" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title">Confirm Delete</h4>
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>
			<div class="modal-body">
				<p class="delete-card-ttl">Are you sure you want to delete?</p>
			</div>
			<div class="modal-footer">
				<form action="index.php?route=user/delete" class="delete-card-button" method="post">
					<input type="hidden" value="" name="id">
					<button type="submit" class="btn btn-danger" name="delete">Delete</button>
				</form>
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
		</div>
	</div>
</div>
<!-- Footer -->
<?php include (DIR_ADMIN.'app/views/common/footer.tpl.php'); ?>