<?php

/**
* About Controller
*/
class AboutController extends Controller
{
	/**
	* About Controller index method
	* It will call getPage method of this controller
	**/
	public function index() 
	{
		$this->getPage();
	}
	
	protected function getPage () 
	{
		/**
		* Intilize common controller
		* Get common data from DB
		* We used header variable to represent common data
		**/
		$this->headerController = new CommonController();
		$data['header'] = $this->headerController->index();
		/**
		* Intilize Page Model
		* Get About page data from DB
		**/
		$this->pageModel = new Pages();

		$page_data= $this->pageModel->pageData('about');
		/**
		* Get all data in one array to pass to view
		**/
		$data['page_array'] = json_decode($page_data['page_data'], true);
		$data['meta_tag'] = $page_data['meta_tag'];
		$data['meta_description'] = $page_data['meta_description'];
		$data['doctors_display'] = $this->pageModel->doctors();
		$data['testimonials'] = $this->pageModel->testimonials();
		$data['active'] = 'about';
		/**
		* Load about view
		* Pass data to view
		**/
		$this->view->render('about/about.tpl', $data );
	}
}