<?php

/**
* Common Controller 
*/
class CommonController extends Controller
{
	public function index() 
	{
		/*
		* Intilize Coomons model
		*/
		$this->commonModel = new Commons();
		$common_data = $this->commonModel->info();
		if ($common_data['mode'] == 2) {
			$this->url->redirect('comingsoon');
		} elseif ($common_data['mode'] == 3) {
			$this->url->redirect('maintenance');
		}

		/*
		* Get menu data form DB
		* deocode in array format
		* Put menu in ascending order
		*/
		$menu = $this->commonModel->menu();
		$menu_display = json_decode($menu, true);
		usort($menu_display,  array( $this ,'compareOrder') );
		//$menu_display = json_decode($menu, true);
		//usort($menu_display,  array( $this ,'compareOrder') );
		/**
		* Get Department and doctor form DB
		* Create arrahy for appointment deparment
		**/

		$department = $this->commonModel->dep();
		$doctors = $this->commonModel->doctors();
		$appointment_dep = [];
		if (isset($doctors) && !empty($doctors)) {
			foreach ($doctors as $key => $value) {
				$departments[] = $value['department']; 
			}
			$appointment_dep = array_unique($departments);
		}

		/**
		* Check if user is logged in or not
		* If logged in then get user basic info from DB
		**/
		if (Common::isLoggedIn()) {
			if ($user_arr = $this->commonModel->userData($this->session->data['user_id'])) {
				$user = array( 'name' => $user_arr['firstname'].' '.$user_arr['lastname'],
					'email' => $user_arr['email'],
					'mobile' => $user_arr['mobile'] );	
			}
			else {
				unset($this->session->data['user_id']);
				unset($this->session->data['login_token']);
				$this->url->redirect('home');
			}
		} else {
			//session_destroy();
			$user = array(
				'name' => '',
				'email' => '',
				'mobile' => '');
		}
		if (!empty($this->session->data['color'])) {
			$color = $this->session->data['color'];
		} else {
			$color = 'blue';
		}
		$settings = json_decode($this->commonModel->generalSettings(), true);

		if (!empty($settings['review']['post']) && !empty($user['email'])) {
			$whoCan['review'] = true;
		} elseif (empty($settings['review']['post'])) {
			$whoCan['review'] = true;
		} else {
			$whoCan['review'] = false;
		}

		if (!empty($settings['comment']['post']) && !empty($user['email'])) {
			$whoCan['comment'] = true;
		} elseif (empty($settings['comment']['post'])) {
			$whoCan['comment'] = true;
		} else {
			$whoCan['comment'] = false;
		}

		if (!empty($settings['appointment']) && !empty($user['email'])) {
			$whoCan['appointment'] = true;
		} elseif (empty($settings['appointment'])) {
			$whoCan['appointment'] = true;
		} else {
			$whoCan['appointment'] = false;
		}

		/**
		* Load Launguge
		**/
		if (!empty($common_data['language'])) {
			require(DIR_BUILDER.'language/'.$common_data['language'].'/language.php');
		} else {
			require(DIR_BUILDER.'language/eng/language.php');
		}
		
		/**
		* Return common data array
		**/
		return array(
			'appointment_token' => hash('sha512', TOKEN . TOKEN_SALT),
			'info_array' => $common_data,
			'menu_array' => json_decode($menu, true),
			'menu_display_array' => $menu_display,
			'analytic' => json_decode($this->commonModel->analytics(), true),
			'custom_css' => json_decode($this->commonModel->customCss(), true),
			'generalSettings' => json_decode($this->commonModel->generalSettings(), true),
			'department' => $department,
			'doctors' => $doctors,
			'user' => $user,
			'whoCan' => $whoCan,
			'appointment_dep' => $appointment_dep,
			'footer_array' => json_decode($this->commonModel->footer(), true)['footer'],
			'social' => json_decode($common_data['social'], true),
			'time' => json_decode($common_data['timing'], true),
			'themeColor' => $color,
			'lang' => $lang
		);
	}

	public function subscriber()
	{
		if (!$this->validateEmail()) {
			header('location:'.$_SERVER['HTTP_REFERER']);
			exit();
		}

		$this->commonModel = new Commons();
		$data['email'] = $this->url->post('email');
		$this->commonModel->createSubscriber($data);
		header('location:'.$_SERVER['HTTP_REFERER']);
		exit();
	}

	public function setColor() {
		$this->session->data['color'] = $this->url->get('colorCode');
		if (!empty($_SERVER['HTTP_REFERER'])) {
			header('location:'.$_SERVER['HTTP_REFERER']);
			exit();	
		} else {
			$this->url = new Url();
			$this->url->redirect('home');
		}	
	}

	public function shortCodes()
	{
		$data['header'] = $this->index();
		$data['meta_tag'] = 'Shortcodes -'. $data['header']['info_array']['name'];
		$data['meta_description'] = '';
		$data['active'] = 'shortcodes';
		$this->view->render('about/short-codes.tpl', $data );
	}

	public function comingSoon($data = array())
	{
		$this->commonModel = new Commons();
		$common_data = $this->commonModel->info();
		if ($common_data['mode'] == 1) { $this->url->redirect('home'); } 
		elseif ($common_data['mode'] == 3) { $this->url->redirect('maintenance'); }
		$data['social'] = json_decode($common_data['social'], true);
		/**
		* Load Launguge
		**/
		if (!empty($common_data['language'])) {
			require(DIR_BUILDER.'language/'.$common_data['language'].'/language.php');
		} else {
			require(DIR_BUILDER.'language/eng/language.php');
		}
		$data['lang'] = $lang;
		$this->view->render('common/comingsoon.tpl', $data );
	}

	public function maintenanceMode($data = array())
	{
		$this->commonModel = new Commons();
		$common_data = $this->commonModel->info();
		if ($common_data['mode'] == 1) { $this->url->redirect('home'); }
		elseif ($common_data['mode'] == 2) { $this->url->redirect('comingsoon'); }
		$data['social'] = json_decode($common_data['social'], true);
		/**
		* Load Launguge
		**/
		if (!empty($common_data['language'])) {
			require(DIR_BUILDER.'language/'.$common_data['language'].'/language.php');
		} else {
			require(DIR_BUILDER.'language/eng/language.php');
		}
		$data['lang'] = $lang;
		header("HTTP/1.0 503 Service Unavailable");
		$this->view->render('common/maintenance.tpl', $data );
	}

	/**
	* Function to compare menu order
	* Menu order will be ascending
	**/
	private static function compareOrder($a, $b) {
		return $a['order'] - $b['order'];
	}

	/** 
	* Validate form input field on server side
	**/
	protected function validateEmail() {
		if ((strlen($this->url->post('email')) > 96) || !filter_var($this->url->post('email'), FILTER_VALIDATE_EMAIL)) {
			/** 
			* If email is not valid
			* Return false
			**/
			return false;
		}
		else {
			/** 
			* Everthing looks good
			* Return True
			**/
			return true;
		}
	}
}