<?php

/**
* Doctor Controller
*/
class DoctorController extends Controller
{
	/**
	* Doctor controller index method
	* It will call getPage method of this controller
	**/
	public function index() {
		$this->getPage();
	}

	/**
	* Doctor controller getpage method
	* This method will get all page data form DB and load view
	**/
	protected function getPage() {
		/**
		* Intilize common controller
		**/
		$headerController = new CommonController();
		/**
		* Get common data from DB
		* We used header variable to represent common data
		**/
		$header = $headerController->index();
		/**
		* Get Doctor page data from DB
		**/
		$this->pageModel = new Pages();
		$page_data= $this->pageModel->pageData('doctor');
		/**
		* Get all data in one array to pass to view
		**/
		$data['header'] = $header;
		$data['page_array'] = json_decode($page_data['page_data'], true);
		$data['meta_tag'] = $page_data['meta_tag'];
		$data['meta_description'] = $page_data['meta_description'];
		$data['doctors_display'] = $this->pageModel->allDoctors();
		$data['departments_display'] = $this->pageModel->allDepartments();
		$data['recentblog'] = $this->pageModel->recentBlog();
		$data['slider_services'] = $this->pageModel->getSliderServices();
		$data['active'] = 'doctor';
		/**
		* Load doctor-list view according to theme selected
		* Pass data to view
		**/
		
		$this->view->render('doctor/'.$header['menu_array']['2']['theme'].'.tpl', $data );
	}
}