<?php

/**
* Home Controller
*/
class HomeController extends Controller
{
	public function index() {
		$this->getPage();
	}

	/**
	* Home controller index method
	* It will call getPage method of this controller
	**/
	protected function getPage() {
		/**
		* Intilize common controller
		* Get common data from DB
		* We used header variable to represent common data
		**/
		$headerController = new CommonController();
		$header = $headerController->index();
		/**
		* Get home page data from DB
		**/
		$pageModel = new Pages();
		$page_data= $pageModel->pageData('Home');
		/**
		* Get all data in one array to pass to view
		**/
		$data['header'] = $header;
		$data['page_array'] = json_decode($page_data['page_data'], true);
		$data['meta_tag'] = $page_data['meta_tag'];
		$data['meta_description'] = $page_data['meta_description'];
		$data['services'] = $pageModel->homeServices();
		$data['facilities'] = $pageModel->allFacilities();
		$data['slider_doctor'] = $pageModel->getSliderDoctors();
		$data['blogs'] = $pageModel->homeBlogs();
		$data['testimonials'] = $pageModel->testimonials();
		$data['active'] = 'home';
		
		/**
		* Load home view according to theme selected
		* Pass data to view
		**/
		$this->view->render('home/'.$header['menu_array']['0']['theme'].'.tpl', $data );
	}
}