<?php

/**
* Make an appointment model
*/
class Appointment extends Model
{
	public function getDoctorTime($doctor)
	{
		$query = $this->model->query("SELECT `time` FROM `" . DB_PREFIX . "doctor` WHERE `id` = ? LIMIT 1 ", array($this->model->escape($doctor)));
		if ( $query->num_rows > 0 ) {
			return $query->row['time'];
		} else {
			return false;
		}
	}

	public function getDoctorData($id)
	{
		$query = $this->model->query("SELECT `name`, `email` FROM `" . DB_PREFIX . "doctor` WHERE `id` = ? LIMIT 1 ", array($this->model->escape($id)));
		return $query->row;
	}
	
	public function bookedSlot($date, $doctor) 
	{
		$date = date("Y-m-d", strtotime($date));
		$query = $this->model->query("SELECT `time` FROM `" . DB_PREFIX . "appointment` WHERE `date`= ? AND `doctor_id` = ? AND `status` != ? ", array($this->model->escape($date), $this->model->escape($doctor), 1));
		$result = [];
		if ($query->num_rows > 0) {
			foreach ($query->rows as $key => $value) {
				$result[] = $value['time'];
			}
		}
		return $result;
	}

	public function checkAppointment($data) 
	{
		$date = date("Y-m-d", strtotime($data['date']));
		$query = $this->model->query("SELECT `time` FROM `" . DB_PREFIX . "appointment` WHERE `date` = ? AND `doctor_id` = ? AND `time` = ? AND `status` != ? ", array($this->model->escape($date), $this->model->escape($data['doctor']), $this->model->escape($data['time']), 1));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}

	public function createAppointment($data) 
	{
		$date = date("Y-m-d", strtotime($data['date']));
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "appointment` (`appointment_id`, `name`, `email`, `mobile`, `date`, `time`, `department_id`, `doctor_id`, `user_id`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?) ", array($this->model->escape($data['appointment_id']), $this->model->escape($data['name']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $this->model->escape($date), $this->model->escape($data['time']), $this->model->escape($data['department']), $this->model->escape($data['doctor']), $this->model->escape($data['user_id'])));
	}
}


