<?php

/**
* Common Class for getting data from DB
*/
class Commons extends Model
{
	public function info() 
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "info` WHERE `id` = ? LIMIT 1 ", array(1));
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function menu()
	{
		$query = $this->model->query("SELECT `page_data` FROM `" . DB_PREFIX . "page` WHERE `page_name` = ? LIMIT 1 ", array('header'));
		if ($query->num_rows > 0) {
			return $query->row['page_data'];
		} else {
			return false;
		}
	}

	public function footer() 
	{
		$query = $this->model->query("SELECT `page_data` FROM `" . DB_PREFIX . "page` WHERE `page_name` = ? LIMIT 1", array('footer') );
		if ($query->num_rows > 0) {
			return $query->row['page_data'];
		} else {
			return false;
		}
	}

	public function dep() 
	{
		$query = $this->model->query("SELECT `id`, `name` FROM `" . DB_PREFIX . "department`");
		return $query->rows;
	}

	public function doctors() 
	{
		$query = $this->model->query("SELECT `id`, `name`, `department_id` AS department, `weekly`, `national` FROM `" . DB_PREFIX . "doctor` WHERE `appointment` = ?", array(1) );
		return $query->rows;
	}

	public function generalSettings()
	{
		$query = $this->model->query("SELECT `data` FROM `" . DB_PREFIX . "setting` WHERE `name` = ? AND `status` = ? LIMIT 1", array('generalsetting', 1));
		if ($query->num_rows > 0) {
			return $query->row['data'];
		} else {
			return false;
		}
	}

	public function analytics() 
	{
		$query = $this->model->query("SELECT `data` FROM `" . DB_PREFIX . "setting` WHERE `name` = ? AND `status` = ? LIMIT 1", array('analytics', 1));
		if ($query->num_rows > 0) {
			return $query->row['data'];
		} else {
			return false;
		}
	}

	public function customCss() 
	{
		$query = $this->model->query("SELECT `data` FROM `" . DB_PREFIX . "setting` WHERE `name` = ? AND `status` = ? LIMIT 1", array('css', 1));
		if ($query->num_rows > 0) {
			return $query->row['data'];
		} else {
			return false;
		}
	}

	public function userData($id)
	{
		$query = $this->model->query(" SELECT `firstname`, `lastname`, `email`, `mobile` FROM `" . DB_PREFIX . "users` WHERE `user_id` = ? AND `status` = ? LIMIT 1", array($id, 1));
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}

	public function createSubscriber($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "subscribe` (`email`, `status`) VALUES (?, ?)", array($this->model->escape($data['email']), 1));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}