<?php

/**
* Payment
*/
class Payment extends Model
{
	public function getInfo()
	{
		$query = $this->model->query("SELECT * FROM `" . DB_PREFIX . "info` WHERE `id` = ?", array(1));
		return $query->row;
	}

	public function getInvoiceData($id)
	{
		$query = $this->model->query("SELECT i.*, c.name AS currency, c.abbr FROM `" . DB_PREFIX . "invoice` AS i LEFT JOIN `" . DB_PREFIX . "currency` AS c ON c.id = i.currency WHERE i.id = '".(int)$id."' LIMIT 1");
		
		return $query->row;
	}

	public function getPaymentData()
	{
		$query = $this->model->query("SELECT `data` FROM `" . DB_PREFIX . "setting` WHERE `name` = ?", array("paymentgateway"));
		
		return $query->row['data'];
	}

	public function checkTxnId($id)
	{
		$query = $this->model->query("SELECT `id`, `txn_id` FROM `" . DB_PREFIX . "payment` WHERE `txn_id` = ?", array($id));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}

	public function getInvoiceAmount($id)
	{
		$query = $this->model->query("SELECT `name`, `email`, `amount`, `paid`, `due` FROM `" . DB_PREFIX . "invoice` WHERE `id` = '".(int)$id."' LIMIT 1");
		
		return $query->row;
	}

	public function updateInvoiceAmount($data)
	{
		$this->model->query("UPDATE `" . DB_PREFIX . "invoice` SET `status` = ?, `paid` = ?, `due` = ? WHERE `id` = ?", array($data['status'], $data['paid'], $data['due'], (int)$data['id']));
	}

	public function createPayment($data)
	{
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "payment` (`payer_email`, `payer_id`, `payer_status`, `first_name`, `last_name`, `txn_id`, `currency`, `amount`, `payment_date`, `paid_to`, `receiver_id`, `invoice`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)", array($this->model->escape($data['payer_email']), $data['payer_id'], $data['payer_status'], $this->model->escape($data['first_name']), $this->model->escape($data['last_name']), $data['txn_id'], $data['mc_currency'], $data['payment_gross'], $data['payment_date'], $data['business'], $data['receiver_id'], $data['item_number']));

		if ($query->num_rows > 0) {
			return $this->model->last_id();
		} else {
			return false;
		}
	}
}