<?php

/**
* Register Model
*/
class Register extends Model
{
	public function checkUser($email) 
	{
		$query = $this->model->query("SELECT `user_id`, `firstname`, `lastname`, `email`, `mobile`, `password`, `status` FROM `" . DB_PREFIX . "users` WHERE `email` = ? LIMIT 1 ", array($email));
		if ($query->num_rows > 0) {
			return $query->row;
		} else {
			return false;
		}
	}
	
	public function createAccout($data, $temp_hash) 
	{
		$passwordhash = password_hash($data['password'], PASSWORD_DEFAULT);
		$query = $this->model->query("INSERT INTO `" . DB_PREFIX . "users` (`user_role`, `firstname`, `lastname`, `email`, `mobile`, `password`, `temp_hash`) VALUES (?, ?, ?, ?, ?, ?, ?) ",  array(1, $this->model->escape($data['firstname']), $this->model->escape($data['lastname']), $this->model->escape($data['email']), $this->model->escape($data['mobile']), $this->model->escape($passwordhash), $this->model->escape($temp_hash)));
	}

	public function editHash($email, $code)
	{
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "users` SET `temp_hash` = ? WHERE `email` = ? ", array($this->model->escape($code), $this->model->escape($email)));
	}

	public function checkEmailHash($data)
	{
		$query = $this->model->query("SELECT `email` FROM `" . DB_PREFIX . "users` WHERE `email` = ? and `temp_hash` = ? LIMIT 1", array($this->model->escape($data['email']), $this->model->escape($data['hash'])));
		
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}

	public function changepassword($data)
	{
		$passwordhash = password_hash($data['password'], PASSWORD_DEFAULT);
		$hash = NULL;
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "users` SET `password` = ?, `temp_hash` = ?, `emailconfirmed` = ?  WHERE `email` = ? AND `temp_hash` = ? ", array($passwordhash, $hash, 1,$this->model->escape($data['email']), $this->model->escape($data['hash'])));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}

	public function confirmAccount($data)
	{
		$hash = NULL;
		$query = $this->model->query("UPDATE `" . DB_PREFIX . "users` SET `temp_hash` = ?, `emailconfirmed` = ? WHERE `email` = ? AND `temp_hash` = ? ", array($hash, 1, $this->model->escape($data['email']), $this->model->escape($data['hash'])));
		if ($query->num_rows > 0) {
			return true;
		} else {
			return false;
		}
	}
}

