	<!-- Start Make an Appointment Modal -->
	<div id="appointment" class="modal fade" role="dialog">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header text-center">
					<h4 class="modal-title"><?php echo $lang['text_make_an_appointment']; ?></h4>
					<div class="appointment-hdr-back"><i class="fa fa-chevron-left"></i></div>
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>
				<div class="modal-body">
					<div class="appointment-form">
						<div class="appointment-part-1">
							<div class="appointment-option">
								<div class="appointment-option-department">
									<i class="fa fa-hospital-o" id="appointment-option-department"></i>
									<span class="mdl-tooltip mdl-tooltip--top" for="appointment-option-department"><?php echo $lang['text_i_know_department']; ?></span>
								</div>
								<div class="appointment-option-doctor">
									<i class="fa fa-user-md" id="appointment-option-doctor"></i>
									<span class="mdl-tooltip mdl-tooltip--top" for="appointment-option-doctor"><?php echo $lang['text_i_know_doctor']; ?></span>
								</div>
							</div>
							<div class="appointment-invisible">
								<?php if (isset($doctors) && !empty($doctors)) { foreach ($doctors as $key=>$value){$doctor=json_encode($value) ?>
								<input type="hidden" value="<?php echo htmlspecialchars($doctor, ENT_QUOTES, 'UTF-8'); ?>" class="doctor-id-<?php echo $value['id']; ?> department-id-<?php echo $value['department']; ?>" >
								<?php } } ?>
							</div>
							<input type="hidden" name="appointment_token" value="<?php echo $appointment_token; ?>">
							<div class="mdl-selectfield mdl-js-selectfield mdl-selectfield--floating-label appointment-input">
								<select class="mdl-selectfield__select" id="appointment-department" name="department">
									<option value=""></option>
									<?php if (!empty($department) && !empty($appointment_dep)) { foreach ($department as $value) { foreach ($appointment_dep as $appointment_department) { if ($appointment_department == $value['id']) { ?>
									<option value="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></option>
									<?php } } } } ?>
								</select>
								<label class="mdl-selectfield__label" for="appointment-department"><?php echo $lang['text_choose_department']; ?> <em>*</em></label>
							</div>
							<div id="appointment-doctor-wrapper" class="mdl-selectfield mdl-js-selectfield mdl-selectfield--floating-label appointment-input">
								<select class="mdl-selectfield__select" id="appointment-doctor" name="doctor">
									<option value=""></option>
								</select>
								<label class="mdl-selectfield__label" for="appointment-doctor"><?php echo $lang['text_choose_doctor']; ?> <em>*</em></label>
							</div>
							<div class="or-label">OR</div>
							<div id="search-doctor" class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label ui-widget appointment-input">
								<label class="mdl-textfield__label" for="appointment-search-doctor"><?php echo $lang['text_i_know_doctor']; ?> <em>*</em></label>
								<input class="mdl-textfield__input" type="text" value="" id="appointment-search-doctor">
							</div>
							<div id="appointment-date-wrapper" class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label appointment-input">
								<input class="mdl-textfield__input" type="text" value="" id="appointment-date" readonly>
								<label class="mdl-textfield__label" for="appointment-date"><?php echo $lang['text_choose_date']; ?> <em>*</em></label>
							</div>
							<div class="appointment-slot">
								<p><?php echo $lang['text_choose_time_slot']; ?></p>
							</div>
							<div class="appointment-button">
								<button id="appointment-continue" class="mdl-button mdl-js-button mdl-button--colored mdl-js-ripple-effect mdl-button--raised mdl-button--raised button button-primary button-pill" disabled><?php echo $lang['text_continue']; ?></button>
							</div>
						</div>
						<div class="appointment-loading">
							<div class="appointment-loading-gif"></div>
						</div>
						<div class="appointment-part-2">
							<div class="appointment-enterd-value"></div>
							<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label appointment-input">
								<input class="mdl-textfield__input" type="text" pattern="[A-Z,a-z, ]*" value="<?php echo $user['name']; ?>" id="appointment-name">
								<label class="mdl-textfield__label" for="appointment-name"><?php echo $lang['text_name']; ?> <em>*</em></label>
								<span class="mdl-textfield__error"><?php echo $lang['text_name_error']; ?></span>
							</div>
							<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label appointment-input">
								<input class="mdl-textfield__input" type="text" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" value="<?php echo $user['email']; ?>" id="appointment-email">
								<label class="mdl-textfield__label" for="appointment-email"><?php echo $lang['text_email_address']; ?> <em>*</em></label>
								<span class="mdl-textfield__error"><?php echo $lang['text_email_error']; ?></span>
							</div>
							<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label appointment-input">
								<input class="mdl-textfield__input" type="text" pattern="[0-9]*" value="<?php echo $user['mobile']; ?>" id="appointment-mobile">
								<label class="mdl-textfield__label" for="appointment-mobile"><?php echo $lang['text_mobile_number']; ?> <em>*</em></label>
								<span class="mdl-textfield__error"><?php echo $lang['text_mobile_error']; ?></span>
							</div>
							<div class="appointment-button">
								<button id="appointment-submit" class="mdl-button mdl-js-button mdl-button--colored mdl-js-ripple-effect mdl-button--raised mdl-button--raised button button-primary button-pill"><?php echo $lang['text_finish']; ?></button>
							</div>
						</div>
						<div class="appointment-success">
							<p class="paragraph-medium"><?php echo $lang['text_hello']; ?> <span id="appointment-success-name"></span></p>
							<p class="appointment-success-descr paragraph-medium">
								<?php echo $lang['text_your_appointment_for']; ?> <span id="appointment-success-date"></span> <?php echo $lang['text_at']; ?> <span id="appointment-success-time"></span> 
								<?php echo $lang['text_has_been_booked']; ?>
							</p>
							<div class="appointment-mail-icon"><i class="fa fa-envelope-o"></i></div>
							<p class="paragraph-medium paragraph-black"><?php echo $lang['text_for_more_information_visit_your_mail_box']; ?></p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div><!-- End Make an Appointment Section -->
	<!-- Start of Time Table Section -->
	<div id="tt" class="animated-wrapper">
		<div class="layer-stretch">
			<div class="layer-wrapper">
				<div class="layer-ttl">
					<h3 class="animated animated-down"><?php echo $footer_array['tt']['ttl']; ?></h3>
				</div>
				<div class="layer-container">
					<?php if (!empty($time)) { foreach ($time as $key => $value) { ?>
					<div class="tt-block animated animated-up">
						<p><i class="fa fa-calendar"></i><a><?php echo $lang['text_'.$key]; ?></a></p>
						<p>
							<i class="fa fa-hourglass-1"></i><a><?php echo $value; ?></a>
						</p>
						<p>
							<button class="mdl-button mdl-js-button mdl-js-ripple-effect"><?php echo $lang['text_make_an_appointment']; ?></button>
						</p>
					</div>
					<?php } } ?>
				</div>
			</div>
		</div>
	</div><!-- End of Time Table Section -->
	<!-- Start of Emergency Section -->
	<div id="emergency">
		<div class="layer-stretch">
			<div class="layer-wrapper animated-wrapper">
				<div class="layer-ttl">
					<h3 class="animated animated-down"><?php echo $footer_array['emergency']['ttl']; ?></h3>
				</div>
				<div class="layer-container">
					<div class="paragraph-medium paragraph-black animated animated-up"><?php echo $footer_array['emergency']['description']; ?></div>
					<div class="emergency-number"><?php echo $lang['text_call']. ' : ' .$info_array['emergency']; ?></div>
				</div>
			</div>
		</div>
	</div><!-- End of Emergency Section -->
	<!-- Fixed Appointment Bottom Button -->
	<div id="appointment-button">
		<?php if ( $whoCan['appointment'] ) { ?>
		<button id="appointment-now" class="mdl-button mdl-js-button mdl-button--fab mdl-js-ripple-effect mdl-button--colored mdl-button--raised animated slideInUp"><i class="fa fa-plus"></i></button>
		<div class="mdl-tooltip mdl-tooltip--top" data-mdl-for="appointment-now"><?php echo $lang['text_make_an_appointment']; ?></div>
		<?php } else { ?>
		<a href="<?php echo URL.DIR_ROUTE."login"; ?>" class="mdl-button mdl-js-button mdl-button--fab mdl-js-ripple-effect mdl-button--colored mdl-button--raised animated slideInUp"><i class="fa fa-plus"></i></a>
		<div class="mdl-tooltip mdl-tooltip--top" data-mdl-for="appointment-now"><?php echo $lang['text_make_an_appointment']; ?></div>
		<?php } ?>
	</div><!-- End Fixed Appointment Bottom Button -->
	<!-- Start of Footer Section -->
	<footer id="footer">
		<div class="layer-stretch">
			<div class="row layer-wrapper">
				<div class="col-md-4 footer-block">
					<div class="footer-ttl">
						<p><?php echo $lang['text_basic_info']; ?></p>
					</div>
					<div class="footer-container footer-a">
						<div class="tbl">
							<div class="tbl-row">
								<div class="tbl-cell"><i class="fa fa-map-marker"></i></div>
								<div class="tbl-cell">
									<p class="paragraph-medium paragraph-white"><?php echo $info_array['address']; ?></p>
								</div>
							</div>
							<div class="tbl-row">
								<div class="tbl-cell"><i class="fa fa-phone"></i></div>
								<div class="tbl-cell">
									<p class="paragraph-medium paragraph-white"><?php echo $info_array['mobile']; ?></p>
								</div>
							</div>
							<div class="tbl-row">
								<div class="tbl-cell"><i class="fa fa-envelope"></i></div>
								<div class="tbl-cell">
									<p class="paragraph-medium paragraph-white"><?php echo $info_array['email']; ?></p>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-4 footer-block">
					<div class="footer-ttl">
						<p><?php echo $lang['text_quick_links']; ?></p>
					</div>
					<div class="footer-container footer-b">
						<div class="tbl">
							<div class="tbl-row">
								<ul class="tbl-cell">
									<?php if (!empty($footer_array['menu'])) { foreach ($footer_array['menu'] as $value) { ?>
									<li>
										<a href="<?php echo URL.DIR_ROUTE.$value; ?>"><?php echo ucfirst(str_replace("-"," ",$value)); ?></a>
									</li>
									<?php } } ?>
								</ul>
								<ul class="tbl-cell">
									<?php if( !empty($user['name']) && !empty($user['email']) ) { ?>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>user/appointment"><?php echo $lang['text_my_appointments']; ?></a></li>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>user/invoices"><?php echo $lang['text_my_invoices']; ?></a></li>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>user/request"><?php echo $lang['text_my_requests']; ?></a></li>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>user/profile"><?php echo $lang['text_my_profile']; ?></a></li>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>logout"><?php echo $lang['text_logout']; ?></a></li>
									<?php } else { ?>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>login"><?php echo $lang['text_login']; ?></a></li>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>register"><?php echo $lang['text_register']; ?></a></li>
									<li><a href="<?php echo URL.DIR_ROUTE; ?>forgot"><?php echo $lang['text_forgot_password']; ?></a></li>
									<?php } ?>
								</ul>
							</div>
						</div>

					</div>
				</div>
				<div class="col-md-4 footer-block">
					<div class="footer-ttl">
						<p><?php echo $lang['text_newsletter'] ?></p>
					</div>
					<div class="footer-container footer-c">
						<div class="footer-subscribe">
							<form action="<?php echo URL.DIR_ROUTE; ?>subscribe" method="post">
								<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input">
									<input class="mdl-textfield__input" name="email" type="text" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" id="subscribe-email">
									<label class="mdl-textfield__label" for="subscribe-email"><?php echo $lang['text_email_address']; ?></label>
									<span class="mdl-textfield__error"><?php echo $lang['text_email_error']; ?></span>
								</div>
								<div class="footer-subscribe-button">
									<button type="submit" id="subscribe-submit" name="subscribe" class="mdl-button mdl-js-button mdl-js-ripple-effect button button-primary">Submit</button>
								</div>
							</form>
						</div>
						<div class="social-list social-list-colored footer-social">
							<?php if (!empty($social)) { foreach ($social as $key => $value) { if (!empty($value)) { ?>
							<li>
								<a href="<?php echo $value; ?>" target="_blank" id="footer-<?php echo $key; ?>" class="fa fa-<?php echo $key; ?>"></a>
								<span class="mdl-tooltip mdl-tooltip--top" for="footer-<?php echo $key; ?>"><?php echo ucfirst($key); ?></span>
							</li>
							<?php } } } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- Start of Copyright Section -->
		<div id="copyright">
			<div class="layer-stretch">
				<div class="paragraph-medium paragraph-white">
					<?php echo $footer_array['copyright']; ?>
				</div>
			</div>
		</div><!-- End of Copyright Section -->
	</footer><!-- End of Footer Section -->

	<!-- Included Scripts -->
	<script src="public/js/jquery-2.1.4.min.js"></script>
	<script src="public/js/jquery-ui.min.js"></script>
	<script src="public/js/material.min.js"></script>
	<script src="public/js/popper.min.js"></script>
	<script src="public/js/bootstrap.min.js"></script>
	<script src="public/js/jquery.flexslider.min.js"></script>
	<script src="public/js/mdl-selectfield.min.js"></script>
	<script src="public/js/owl.carousel.min.js"></script>
	<script src="public/js/datatables.min.js"></script>
	<script src="public/js/jquery-scrolltofixed.min.js"></script>
	<script src="public/js/jquery.magnific-popup.min.js"></script>
	<script src="public/js/jquery.waypoints.min.js"></script>
	<script src="public/js/smoothscroll.min.js"></script>
	<script src="public/js/custom.js"></script>
	<?php if (isset($active)) { ?><script>$('#menu-<?php echo $active; ?>').addClass('active');</script><?php } ?>
	<!-- Custom Css -->
	<style><?php if (isset($custom_css)) { print_r($custom_css);} ?></style>
	<script><?php if (isset($analytic)) { print_r($analytic); } ?></script>
	
	<?php if (isset($fancybox) && !empty($fancybox)) { ?>
	<link rel="stylesheet" href="public/css/jquery.fancybox.min.css">
	<script src="public/js/jquery.fancybox.min.js"></script>
	<script>
		$("a.open-pdf").fancybox({
			'frameWidth': 800,
			'frameHeight': 800,
			'overlayShow': true,
			'hideOnContentClick': false,
			'type': 'iframe'
		});
	</script>
	<?php } ?>
	<!-- Included Scripts -->
</body>
</html>