<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $meta_tag; ?></title>
    <meta name="Description" content="<?php echo $meta_description; ?>">
    <link rel="icon" type="image/x-icon" href="public/uploads/<?php echo $info_array['favicon']; ?>" />
    <link rel="stylesheet" href="public/font-awesome/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Montserrat:400,500">
    <link rel="stylesheet" href="public/css/bootstrap.min.css">
    <link rel="stylesheet" href="public/css/material.min.css" />
    <link rel="stylesheet" href="public/css/mdl-selectfield.min.css">
    <link rel="stylesheet" href="public/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="public/css/owl.carousel.min.css" />
    <link rel="stylesheet" href="public/css/owl.theme.default.css" />
    <link rel="stylesheet" href="public/css/animate.min.css" />
    <link rel="stylesheet" href="public/css/magnific-popup.css" />
    <link rel="stylesheet" href="public/css/flexslider.css" />
    <link rel="stylesheet" href="public/css/style-<?php echo $info_array['color']; ?>.min.css">
</head>
<body>

    <!-- Header Start -->
    <header id="header">
        <div id="hdr-top-wrapper">
            <div class="layer-stretch hdr-top">
                <div class="hdr-top-block hidden-xs">
                    <div id="hdr-social">
                        <ul class="social-list social-list-sm">
                            <li><a class="width-auto font-13"><?php echo $lang['text_follow_us']; ?> : </a></li>
                            <?php if (!empty($social)) { foreach ($social as $key => $value) { if (!empty($value)) { ?>
                            <li><a href="<?php echo $value; ?>" target="_blank" id="hdr-<?php echo $key; ?>" ><i class="fa fa-<?php echo $key; ?>" ></i></a><span class="mdl-tooltip mdl-tooltip--bottom" for="hdr-<?php echo $key; ?>"><?php echo ucfirst($key); ?></span></li>
                            <?php } } } ?>
                        </ul>
                    </div>
                </div>
                <div class="hdr-top-line hidden-xs"></div>
                <div class="hdr-top-block hdr-number">
                    <div class="font-13">
                        <i class="fa fa-mobile font-20 tbl-cell"> </i> <span class="hidden-xs tbl-cell"> <?php echo $lang['text_emergency_number']; ?> : </span> <span class="tbl-cell"><?php echo $info_array['emergency']; ?></span>
                    </div>
                </div>
                <div class="hdr-top-line"></div>
                <div class="hdr-top-block">
                    <div class="theme-dropdown">
                        <a id="profile-menu" class="mdl-button mdl-js-button mdl-js-ripple-effect font-13">
                            <i class="fa fa-user-o color-black"></i> <?php if( !empty($user['name']) && !empty($user['email']) ) { echo $user['name']; } else { echo "My Account"; } ?>
                        </a>
                        <?php if( !empty($user['name']) && !empty($user['email']) ) { ?>
                        <ul id="hdr-user-menu-dd" class="mdl-menu mdl-menu--bottom-right mdl-js-menu mdl-js-ripple-effect" for="profile-menu">
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>user/appointment"><i class="fa fa-plus-square-o"></i><?php echo $lang['text_my_appointments']; ?></a>
                            </li>
                             <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>user/invoices"><i class="fa fa-envelope-o"></i><?php echo $lang['text_my_invoices']; ?></a>
                            </li>
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>user/request"><i class="fa fa-envelope-o"></i><?php echo $lang['text_my_requests']; ?></a>
                            </li>
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>user/profile"><i class="fa fa-address-card-o"></i><?php echo $lang['text_my_profile']; ?></a>
                            </li>
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>user/profile/edit"><i class="fa fa-key"></i><?php echo $lang['text_change_password']; ?></a>
                            </li>
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>logout"><i class="fa fa-sign-out"></i><?php echo $lang['text_logout']; ?></a>
                            </li>
                        </ul>
                        <?php }  else { ?>
                        <ul id="hdr-user-menu-dd" class="mdl-menu mdl-menu--bottom-right mdl-js-menu mdl-js-ripple-effect" for="profile-menu">
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>login"><i class="fa fa-sign-in"></i><?php echo $lang['text_login']; ?></a>
                            </li>
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>register"><i class="fa fa-user-o"></i><?php echo $lang['text_register']; ?></a>
                            </li>
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>forgot"><i class="fa fa-key"></i><?php echo $lang['text_forgot_password']; ?></a>
                            </li>
                            <li class="mdl-menu__item">
                                <a href="<?php echo URL.DIR_ROUTE; ?>about"><i class="fa fa-info"></i><?php echo $lang['text_help']; ?></a>
                            </li>
                        </ul>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <div id="hdr-wrapper">
            <div class="layer-stretch hdr">
                <div class="tbl">
                    <div class="tbl-row">
                        <div class="tbl-cell hdr-logo">
                            <a href="<?php echo URL; ?>">
                                <img src="public/uploads/<?php echo $info_array['logo']; ?>" alt="<?php echo $info_array['name']; ?>">
                            </a>
                        </div>
                        <div class="tbl-cell hdr-menu">
                        <ul class="menu">
                            <?php if ($menu_display_array['0']['status'] == '1') { ?>
                            <li>
                                <a id="menu-home" href="<?php echo URL.DIR_ROUTE; ?>home" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                    <?php echo $menu_display_array['0']['label']; ?>
                                </a>
                            </li>
                            <?php } if ($menu_display_array['1']['status'] == '1') { ?>
                            <li>
                                <a id="menu-service" href="<?php echo URL.DIR_ROUTE; ?>services" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                    <?php echo $menu_display_array['1']['label']; ?>
                                </a>
                            </li>
                            <?php } if ($menu_display_array['2']['status'] == '1') { ?>
                            <li>
                                <a id="menu-doctor" href="<?php echo URL.DIR_ROUTE; ?>doctors" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                    <?php echo $menu_display_array['2']['label']; ?>
                                </a>
                            </li>
                            <?php } if ($menu_display_array['3']['status'] == '1') { ?>
                            <li>
                                <a id="menu-blog" href="<?php echo URL.DIR_ROUTE; ?>blog" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                    <?php echo $menu_display_array['3']['label']; ?>
                                </a>
                            </li>
                            <?php } if ($menu_display_array['4']['status'] == '1') { ?>
                            <li>
                                <a href="<?php echo URL.DIR_ROUTE; ?>about" id="menu-about" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                    <?php echo $menu_display_array['4']['label']; ?>
                                </a>
                            </li>
                            <?php } if ($menu_display_array['5']['status'] == '1') { ?>
                            <li>
                                <a href="<?php echo URL.DIR_ROUTE; ?>contact" id="menu-contact" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                    <?php echo $menu_display_array['5']['label']; ?>
                                </a>
                            </li>
                            <?php } ?>
                            <li class="mobile-menu-close">
                                <i class="fa fa-times"></i>
                            </li>
                        </ul>
                        <div id="menu-bar">
                            <a>
                                <i class="fa fa-bars"></i>
                            </a>
                        </div>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- Header End -->