<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?php echo $meta_tag; ?></title>
	<meta name="Description" content="<?php echo $meta_description; ?>">
	<link rel="icon" type="image/x-icon" href="public/uploads/<?php echo $info_array['favicon']; ?>" />
	
	<!-- Included Stylesheets -->	
	<link rel="stylesheet" href="public/font-awesome/css/font-awesome.min.css" />
	<link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Montserrat:400,500">
	<link rel="stylesheet" href="public/css/bootstrap.min.css">
	<link rel="stylesheet" href="public/css/material.min.css" />
	<link rel="stylesheet" href="public/css/mdl-selectfield.min.css">
	<link rel="stylesheet" href="public/css/jquery-ui.min.css" />
	<link rel="stylesheet" href="public/css/owl.carousel.min.css" />
	<link rel="stylesheet" href="public/css/owl.theme.default.css" />
	<link rel="stylesheet" href="public/css/animate.min.css" />
	<link rel="stylesheet" href="public/css/magnific-popup.css" />
	<link rel="stylesheet" href="public/css/flexslider.css" />
	<link rel="stylesheet" href="public/css/style-<?php echo $info_array['color']; ?>.min.css">

</head>
<body>
	
    <!-- Start Header Section -->
    <header id="header-transparent">
        <div class="layer-stretch hdr-center pt-4 pb-4">
            <div class="row align-items-center">
                <div class="col-lg-5 d-none d-sm-none d-md-none d-lg-block d-xl-block">
                    <div class="hdr-center-account text-left p-0">
                        <?php if( empty($user['name']) && empty($user['email']) ) { ?>
                        <a href="<?php echo URL.DIR_ROUTE.'login'; ?>" class="font-14 mr-4"><i class="fa fa-sign-in"></i><?php echo $lang['text_login']; ?></a>
                        <a href="<?php echo URL.DIR_ROUTE.'register'; ?>" class="font-14"><i class="fa fa-user-o"></i><?php echo $lang['text_register']; ?></a>
                        <?php } else { ?>
                        <a href="<?php echo URL.DIR_ROUTE.'user/appointment'; ?>" class="font-14"><i class="fa fa-plus-square-o"></i><?php echo $lang['text_my_appointments']; ?></a>
                        <?php } ?>
                    </div>
                </div>
                <div class="col-md-2">
                    <div class="hdr-center-logo text-center">
                        <a href="<?php echo URL; ?>" class="d-inline-block"><img src="public/uploads/<?php echo $info_array['logo']; ?>" alt="<?php echo $info_array['name']; ?>"></a>
                    </div>
                </div>
                <div class="col-lg-5 d-none d-sm-none d-md-block d-lg-block d-xl-block">
                    <div class="pull-right">
                        <ul class="social-list social-list-white">
                            <?php if (!empty($social)) { foreach ($social as $key => $value) { if (!empty($value)) { ?>
                            <li><a href="<?php echo $value; ?>" target="_blank" id="hdr-<?php echo $key; ?>" class="fa fa-<?php echo $key; ?> rounded"></a><span class="mdl-tooltip mdl-tooltip--bottom" for="hdr-<?php echo $key; ?>"><?php echo ucfirst($key); ?></span></li>
                            <?php } } } ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="header-transparent-menu">
            <div class="hdr layer-stretch">
                <div class="row align-items-center justify-content-end">
                    <!-- Start Menu Section -->
                    <ul class="col menu text-left">
                        <?php if ($menu_display_array['0']['status'] == '1') { ?>
                        <li>
                            <a id="menu-home" href="<?php echo URL.DIR_ROUTE; ?>home" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                <?php echo $menu_display_array['0']['label']; ?>
                            </a>
                        </li>
                        <?php } if ($menu_display_array['1']['status'] == '1') { ?>
                        <li>
                            <a id="menu-service" href="<?php echo URL.DIR_ROUTE; ?>services" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                <?php echo $menu_display_array['1']['label']; ?>
                            </a>
                        </li>
                        <?php } if ($menu_display_array['2']['status'] == '1') { ?>
                        <li>
                            <a id="menu-doctor" href="<?php echo URL.DIR_ROUTE; ?>doctors" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                <?php echo $menu_display_array['2']['label']; ?>
                            </a>
                        </li>
                        <?php } if ($menu_display_array['3']['status'] == '1') { ?>
                        <li>
                            <a id="menu-blog" href="<?php echo URL.DIR_ROUTE; ?>blog" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                <?php echo $menu_display_array['3']['label']; ?>
                            </a>
                        </li>
                        <?php } if ($menu_display_array['4']['status'] == '1') { ?>
                        <li>
                            <a href="<?php echo URL.DIR_ROUTE; ?>about" id="menu-about" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                <?php echo $menu_display_array['4']['label']; ?>
                            </a>
                        </li>
                        <?php } if ($menu_display_array['5']['status'] == '1') { ?>
                        <li>
                            <a href="<?php echo URL.DIR_ROUTE; ?>contact" id="menu-contact" class="mdl-button mdl-js-button mdl-js-ripple-effect">
                                <?php echo $menu_display_array['5']['label']; ?>
                            </a>
                        </li>
                        <?php } ?>
                        <li>
                            <a id="menu-account" class="mdl-button mdl-js-button mdl-js-ripple-effect">My Account <i class="fa fa-chevron-down"></i></a>
                            <ul class="mdl-menu mdl-menu--bottom-right mdl-js-menu mdl-js-ripple-effect" for="menu-account">
                                <?php if( !empty($user['name']) && !empty($user['email']) ) { ?>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>user/appointment">My Appointment</a>
                                </li>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>user/request">My Request</a>
                                </li>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>user/profile">My Profile</a>
                                </li>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>user/profile/edit">Change Password</a>
                                </li>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>logout">Logout</a>
                                </li>
                                <?php } else { ?>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>login">Login</a>
                                </li>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>register">Register</a>
                                </li>
                                <li class="mdl-menu__item">
                                    <a href="<?php echo URL.DIR_ROUTE; ?>forgot">Forgot Password</a>
                                </li>
                                <?php } ?>
                            </ul>
                        </li>

                        <li class="mobile-menu-close">
                            <i class="fa fa-times"></i>
                        </li>
                    </ul><!-- End Menu Section -->
                    <div id="menu-bar" class="col-2 col-md-auto"><a><i class="fa fa-bars color-white"></i></a></div>
                </div>
            </div>
        </div>
    </header><!-- End Header Section -->