<?php include DIR.'app/views/common/header-1.tpl.php'; ?>
<!-- Start Page Title Section -->
<div class="page-ttl">
    <div class="layer-stretch">
        <div class="page-ttl-container">
            <div class="page-ttl-icon">
                <i class="fa fa-phone"></i>
            </div>
            <div class="page-ttl-name">
                <h1>Contact Us</h1>
                <p><a href="<?php echo URL.DIR_ROUTE; ?>home"><?php echo $lang['text_home']; ?></a> > Contact Us</p>
            </div>
        </div>
    </div>
</div>
<!-- End Page Title Section -->

<!-- Start Contact Detail Section -->
<div class="layer-stretch animated-wrapper">
    <div class="layer-wrapper">
        <?php if( !empty($success) ) { ?>
        <div class="success-msg"><?php echo $success; ?></div>
        <?php } if( !empty($error) ) { ?>
        <div class="error-msg"><?php echo $error; ?></div>
        <?php } ?>
        <div class="row text-center">
            <?php if (!empty($page_array['contact']['block'])) foreach ($page_array['contact']['block'] as $key => $value) { { ?>
            <div class="col-md-3 contact-info-block animated animated-up">
                <div class="contact-info-inner">
                    <i class="fa fa-<?php echo $value['icon']; ?>"></i>
                    <span><?php echo $value['title']; ?></span>
                    <p class="paragraph-medium paragraph-black"><?php echo $value['data1']; ?></p>
                    <p><?php if (!empty($value['data2'])) { echo $value['data2']; } ?> </p>
                </div>
            </div>
            <?php } } ?>
        </div>
    </div>
</div>
<!-- End Contact Detail Section -->
<!-- Start Request Section -->
<div id="contact-form">
    <div class="layer-stretch">
        <div class="layer-wrapper">
            <div class="layer-ttl">
                <h3><?php echo $lang['text_make_a_request']; ?></h3>
            </div>
            <div class="layer-container">
                <form class="contact-form row" action="<?php echo URL.DIR_ROUTE; ?>contact" method="post">
                    <input type="hidden" name="_token" value="<?php echo $token ?>">
                    <div class="col-md-4">
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input-icon">
                            <i class="fa fa-user"></i>
                            <input id="contact-name" class="mdl-textfield__input" type="text" name="name" pattern="[A-Z,a-z, ]*" value="">
                            <label class="mdl-textfield__label" for="contact-name"><?php echo $lang['text_name']; ?></label>
                            <span class="mdl-textfield__error"><?php echo $lang['text_name_error']; ?></span>
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input-icon">
                            <i class="fa fa-envelope-o"></i>
                            <input class="mdl-textfield__input" type="text" name="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" id="contact-email">
                            <label class="mdl-textfield__label" for="contact-email"><?php echo $lang['text_email_address']; ?></label>
                            <span class="mdl-textfield__error"><?php echo $lang['text_email_error']; ?></span>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input-icon">
                            <i class="fa fa-phone"></i>
                            <input class="mdl-textfield__input" type="text" name="mobile" pattern="[0-9]*" id="contact-mobile">
                            <label class="mdl-textfield__label" for="contact-mobile"><?php echo $lang['text_mobile_number']; ?></label>
                            <span class="mdl-textfield__error"><?php echo $lang['text_mobile_error']; ?></span>
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input-icon">
                            <i class="fa fa-rocket"></i>
                            <input class="mdl-textfield__input" type="text" name="subject" id="contact-subject">
                            <label class="mdl-textfield__label" for="contact-subject"><?php echo $lang['text_subject']; ?></label>
                            <span class="mdl-textfield__error"><?php echo $lang['text_subject_error']; ?></span>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input-icon">
                            <i class="fa fa-paper-plane"></i>
                            <textarea class="mdl-textfield__input" type="text" name="message" id="contact-message"></textarea>
                            <label class="mdl-textfield__label" for="contact-message"><?php echo $lang['text_message']; ?></label>
                            <span class="mdl-textfield__error"><?php echo $lang['text_message_error']; ?></span>
                        </div>
                    </div>
                    <div class="col-12 text-center">
                        <button id="contact-submit" class="mdl-button mdl-js-button mdl-button--colored mdl-js-ripple-effect mdl-button--raised mdl-button--raised button button-primary button-pill" name="make-request"><?php echo $lang['text_submit']; ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- End Request Section -->
<!-- Start Google Map Section -->
<div id="map" class="animated-wrapper">
    <div class="map-wrapper">
        <div id="map-container"></div>
    </div>
    <div class="map-address animated animated-up">
        <div class="map-icon">
            <i class="fa fa-map-marker"></i>
        </div>
        <div class="map-address-ttl"><?php echo $lang['text_our_location']; ?></div>
        <div class="paragraph-medium paragraph-black"><?php echo $page_array['contact']['block'][3]['data1']; ?></div>
    </div>
</div>
<!-- End Google Map Section -->
<!-- Map Block Script -->
<script>
    var map;

    function initMap() {
        var loc = {
           lat: <?php echo $page_array['contact']['latitude'];; ?>,
           lng: <?php echo $page_array['contact']['longitude'];; ?>
       };
       var isDraggable = !('ontouchstart' in document.documentElement);

       map = new google.maps.Map(document.getElementById('map-container'), {
        center: loc,
                zoom: 14, // Map Zoom
                draggable: isDraggable,
                scrollwheel: false
            });

       var marker = new google.maps.Marker({
        position: loc,
        map: map
    });
   }
</script>
<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo$page_array['contact']['google-apikey']; ?>&amp;callback=initMap" async defer></script>
<?php include DIR.'app/views/common/footer.tpl.php'; ?>