<?php include DIR.'app/views/common/header-1.tpl.php'; ?>
<!-- Start Page Title Section -->
<div class="page-ttl">
	<div class="layer-stretch">
		<div class="page-ttl-container">
			<div class="page-ttl-icon">
				<i class="fa fa-<?php echo $service['icon']; ?>"></i>
			</div>
			<div class="page-ttl-name">
				<h1><?php echo $service['name']; ?></h1>
				<p><a href="<?php echo URL.DIR_ROUTE; ?>home"><?php echo $lang['text_home']; ?></a> / <a href="<?php echo URL.DIR_ROUTE; ?>services"><?php echo $lang['text_services']; ?></a> / <?php echo $service['name']; ?></p>
			</div>
		</div>
	</div>
</div><!-- End Page Title Section -->

<!-- Start Service List Section -->
<div class="layer-stretch">
	<div class="row layer-wrapper">
		<div class="col-md-8 text-left">
			<?php if(!empty($success)) { ?>
			<div class="alert alert-success"><?php echo $success; ?></div>
			<?php } if(!empty($error)) { ?>
			<div class="alert alert-danger"><?php echo $error; ?></div>
			<?php } ?>
			<div class="theme-material-card">
				<div class="blog"></div>
				<div class="theme-img blog-picture theme-img-scalerotate text-center">
					<img src="public/uploads/<?php echo $service['picture']; ?>" alt="<?php echo $service['name']; ?>">
				</div>
				<p></p>
				<p class="paragraph-medium paragraph-black text-left">
					<?php echo $service['short_post']; ?>
				</p>
				<div class="paragraph-medium paragraph-black text-left">
					<?php echo html_entity_decode($service['long_post'], ENT_QUOTES, 'UTF-8'); ?>
				</div>
			</div>
			<div class="theme-material-card">
				<div class="sub-ttl"><?php echo $lang['text_reviews']; ?> (<?php if (!empty($reviews)) { echo count($reviews); } else { echo "0"; } ?>)</div>
				<ul class="comment-list">
					<?php if (!empty($reviews)) { foreach ($reviews as $key => $value) { ?>
					<li>
						<div class="row">
							<div class="col-2 pr-0 hidden-xs comment-icon text-center"><i class="fa fa-user-circle fa-5x"></i></div>
							<div class="col-10 pl-0 comment-detail text-left">
								<div class="comment-meta">
									<span><?php echo $value['name']; ?></span>
									<span><?php echo date_format(date_create($value['date_of_joining']),"d M Y"); ?></span>
								</div>
								<div class="comment-post">
									<?php echo $value['content']; ?>
								</div>
							</div>
						</div>
					</li>
					<?php } } else { ?>
					<li class="text-center font-18"><?php echo $lang['text_no_review_found']; ?></li>
					<?php } ?>
				</ul>
			</div>
			<div class="theme-material-card text-center">
				<div class="sub-ttl layer-ttl-white"><?php echo $lang['text_write_a_review']; ?></div>
				<?php if ($whoCan['review']) { ?>
				<form class="row comment-form text-center" action="<?php echo URL.DIR_ROUTE; ?>review" method="post" enctype="multipart/form-data">
					<div class="col-sm-6">
						<input type="hidden" name="_token" value="<?php echo $token; ?>">
						<input type="hidden" name="review_for_id" value="<?php echo $service['id'] ?>">
						<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input">
							<input class="mdl-textfield__input" type="text" name="name" pattern="[A-Z,a-z, ]*" id="comment-name">
							<label class="mdl-textfield__label" for="comment-name"><?php echo $lang['text_name']; ?> <em> *</em></label>
							<span class="mdl-textfield__error"><?php echo $lang['text_name_error']; ?></span>
						</div>
					</div>
					<div class="col-sm-6">
						<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input">
							<input class="mdl-textfield__input" type="text" name="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" id="comment-email">
							<label class="mdl-textfield__label" for="comment-email"><?php echo $lang['text_email_address']; ?> <em> *</em></label>
							<span class="mdl-textfield__error"><?php echo $lang['text_email_error']; ?></span>
						</div>
					</div>
					<div class="col-sm-12">
						<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label form-input">
							<textarea class="mdl-textfield__input" type="text" name="content" rows="4" id="comment-message" ></textarea>
							<label class="mdl-textfield__label" for="comment-message"><?php echo $lang['text_your_review']; ?></label>
						</div>
					</div>
					<div class="col-sm-12">
						<div class="form-submit">
							<button type="submit" name="submit" class="mdl-button mdl-js-button mdl-js-ripple-effect button button-primary"><?php echo $lang['text_submit']; ?></button>
						</div>
					</div>
				</form>
				<?php } else { ?>
				<p class="font-16"><?php echo $lang['text_you_must_be_registered_and_logged_in_to_review']; ?></p>
				<a href="<?php echo URL.DIR_ROUTE."login"; ?>" class="mdl-button mdl-js-button mdl-js-ripple-effect button button-primary"><?php echo $lang['text_login']; ?></a>
				<?php } ?>
			</div>
		</div>
		<div class="col-md-4 service-page-left text-center visible-md visible-lg">
			<div class="theme-material-card">
				<div class="sub-ttl"><?php echo $lang['text_our_services']; ?></div>
				<ul class="category-list">
					<?php foreach ($services as $key => $value) { ?>
					<li>
						<?php $name = preg_replace('/[[:space:]]+/', '-', $value['name']); ?>
						<a href="<?php echo URL.DIR_ROUTE; ?>service&id=<?php echo $value['id'].'/'.$name; ?>">
							<i class="fa fa-<?php echo $value['icon']; ?>"></i><?php echo $value['name']; ?>
						</a>
					</li>
					<?php } ?>
				</ul>
			</div>
		</div>
	</div>
</div><!-- End Service List Section -->
<!-- Start Facility List Section -->

<?php include DIR.'app/views/common/footer.tpl.php'; ?>