<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title><?php echo $info_array['name']; ?> | Invoice Print</title>
	<link rel="icon" type="image/x-icon" href="public/uploads/<?php echo $info_array['favicon']; ?>">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Montserrat:400,600">
	<link rel="stylesheet" href="public/css/bootstrap.min.css" />
	<link rel="stylesheet" href="public/css/style.css" />

	<script type="text/javascript" src="public/js/jquery-2.1.4.min.js"></script>
	<script type="text/javascript" src="public/js/bootstrap.min.js"></script>
	<style>
	@media print {
		 .inv-template-hdr { display: none !important; } 
	}
</style>
</head>
<body>
	<div style="width: 990px; margin: 30px auto;">
		<div class="panel panel-default">
			<div class="panel-wrapper">
				<div class="inv-template">
					<div class="inv-template-hdr">
						<div class="row">
							<div class="col-sm-2">
								<div class="ribbon">Paid</div>
							</div>
							<div class="col-sm-10 text-right">
								<div class="btn-group" role="group" aria-label="Basic example">
									<a href="<?php echo URL.DIR_ROUTE.'user/invoices'; ?>" class="btn btn-default btn-sm"><i class="icon-printer mr-2"></i><?php echo $lang['text_my_invoices']; ?></a>
									<a id="invoice-print" class="btn btn-default btn-sm" target="_blank"><i class="icon-printer mr-2"></i><?php echo $lang['text_print']; ?></a>
									<?php if ($result['due'] > "1") { ?>
									<a href="<?php echo URL.DIR_ROUTE.'makepayment&invoice='.$result['id']; ?>" class="btn btn-default btn-sm"><i class="icon-printer mr-2"></i><?php echo $lang['text_pay_now']; ?></a>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>
					<div class="inv-template-bdy">
						<table>
							<tbody>
								<tr>
									<td class="inv-logo">
										<img src="public/uploads/<?php echo $info_array['logo']; ?>" alt="">
									</td>
									<td>
										<div class="inv-address">
											<span class="head"><?php echo $info_array['name']; ?><br></span>
											<span class="body"><?php echo $info_array['address']; ?></span>
										</div>
									</td>
									<td class="font-24 text-center">
										<div class="inv-title"><?php echo $lang['text_invoice']; ?></div>
									</td>
								</tr>
								<tr class="inv-meta-container">
									<td>
										<div class="inv-bill-to">
											<p>Bill To</p>
											<p class="font-14"><?php echo $result['name']; ?></p>
											<p class="font-12"><?php echo $result['email']; ?></p>
											<p class="font-12"><?php echo $result['mobile']; ?></p>
										</div>
									</td>
									<td colspan="2" class="text-right">
										<div class="inv-meta">
											<p><span># : </span><span>INV-<?php echo str_pad($result['id'], 4, '0', STR_PAD_LEFT); ?></span></p>
											<p><span><?php echo $lang['text_invoice'].$lang['text_date']; ?> : </span><span><?php echo date_format(date_create($result['date_of_joining']), 'd-m-Y'); ?></span></p>
											<p><span><?php echo $lang['text_due'].$lang['text_date']; ?> : </span><span><?php echo date_format(date_create($result['duedate']), 'd-m-Y'); ?></span></p>
											<p><span><?php echo $lang['text_payment_method']; ?> : </span><span><?php echo $result['method']; ?></span></p>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
						<div class="inv-template-item">
							<table>
								<thead>
									<tr>
										<th><?php echo $lang['text_item_description']; ?></th>
										<th><?php echo $lang['text_quantity']; ?></th>
										<th><?php echo $lang['text_unit_cost'].'('.$result['abbr']; ?>)</th>
										<th><?php echo $lang['text_tax'].'('.$result['abbr']; ?>)</th>
										<th><?php echo $lang['text_price'].'('.$result['abbr']; ?>)</th>
									</tr>
								</thead>
								<tbody>
									<?php if (!empty($result['item'])) {  $inv_items = json_decode($result['item'], true); foreach ($inv_items as $inv_key => $inv_value) { ?>
									<tr>
										<td class="item">
											<p><?php echo $inv_value['name']; ?></p>
											<span><?php echo $inv_value['descr']; ?></span>
										</td>
										<td><?php echo $inv_value['quantity']; ?></td>
										<td><?php echo $inv_value['cost']; ?></td>
										<td><?php echo $inv_value['taxprice']; ?></td>
										<td><?php echo $inv_value['price']; ?></td>
									</tr>
									<?php } } ?>
									<tr class="total">
										<td rowspan="6" colspan="3">
											<p><?php echo $result['note']; ?></p>
										</td>
										<td colspan="1"><span><?php echo $lang['text_sub_total']; ?></span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['subtotal']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span><?php echo $lang['text_tax']; ?></span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['tax']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span><?php echo $lang['text_discount']; ?></span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['discount_value']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span><?php echo $lang['text_total']; ?></span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['amount']; ?></span></td>
									</tr>
									<tr class="total">
										<td colspan="1"><span><?php echo $lang['text_paid']; ?></span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['paid']; ?></span></td>
									</tr>
									<tr class="total balance-due">
										<td colspan="1"><span><?php echo $lang['text_balance_due']; ?></span></td>
										<td colspan="1"><span><?php echo $result['abbr'].' '.$result['due']; ?></span></td>
									</tr>
									<tr>
										<td colspan="5">
											<p class="font-12"><?php echo $lang['text_terms_condition']; ?></p>
											<p class="font-16"><?php echo $result['tc']; ?></p>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
					<div class="inv-template-ftr"></div>
				</div>
			</div>
		</div>
	</div>
	<script>
		$('body').on('click', '#invoice-print', function () {
			window.print();	
		})		
	</script>
</body>
</html>