<?php

/**
* Common Class
* This class contains common method like loggedin or not
*/
class Common extends Controller
{
	static function isLoggedIn()
	{
		/**
		* Check if all session variables are set
		* User_id and Login_auth string 
		**/
		if ((new self)->getSessionData()) {
			return true;
		}
		else {
			/**
			* If session variables are not set
			* Return false
			**/
			return false;
		}
	}

	public function getSessionData()
	{
		if (isset($this->session->data['user_id']) && isset($this->session->data['login_token'])) { 
			$login_auth = $this->session->data['login_token'];
			/**
			* Make hash string to check
			* with login auth string
			**/
			$login_check = hash('sha512', AUTH_KEY . LOGGED_IN_SALT);

			if (hash_equals($login_check, $login_auth)) {
				/**
				* If strings are equal
				* Check user exist in dtabase or not 
				**/
				return true;
			} else {
				/**
				* If strings are not equal
				* Return False
				**/
				return false;
			}
		}
	}
}