function roundNumber(number, decimals) {
    var newString;
    decimals = Number(decimals);
    if (decimals < 1) {
      newString = (Math.round(number)).toString();
    } else {
      var numString = number.toString();
        if (numString.lastIndexOf(".") == -1) { 
            numString += ".";
          }
        var cutoff = numString.lastIndexOf(".") + decimals;
        var d1 = Number(numString.substring(cutoff, cutoff + 1)); 
        var d2 = Number(numString.substring(cutoff + 1, cutoff + 2));
        if (d2 >= 5) {
            if (d1 == 9 && cutoff > 0) {
              while (cutoff > 0 && (d1 == 9 || isNaN(d1))) {
                if (d1 != ".") {
                  cutoff -= 1;
                  d1 = Number(numString.substring(cutoff, cutoff + 1));
                } else {
                  cutoff -= 1;
                }
              }
            }
            d1 += 1;
          }
          if (d1 == 10) {
            numString = numString.substring(0, numString.lastIndexOf("."));
            var roundedNum = Number(numString) + 1;
            newString = roundedNum.toString() + '.';
          } else {
            newString = numString.substring(0, cutoff) + d1.toString();
          }
        }
    if (newString.lastIndexOf(".") == -1) { 
      newString += ".";
    }
    var decs = (newString.substring(newString.lastIndexOf(".") + 1)).length;
    for (var i = 0; i < decimals - decs; i++) newString += "0";
    
    return newString;
  }

  function update_total() {
    var total = 0;
    $('.price').each(function(i) {
      price = $(this).html().replace("$", "");
      if (!isNaN(price)) total += Number(price);
    });

    var taxtotal = 0;
    $('.tax-price').each(function(i) {
      taxprice = $(this).html().replace("$", "");
      if (!isNaN(taxprice)) taxtotal += Number(taxprice);
    });

    total = roundNumber(total, 2);
    taxprice = roundNumber(taxtotal, 2);

    $('#subtotal').html(total);
    $('#tax_amount').html(taxprice);
    $('#total').html(+total + +taxprice);

    update_balance();
  }

  function update_balance() {
    var subtotal = $("#subtotal").html().replace("$", "");
    var tax = $("#tax_amount").html().replace("$", "");
    var discount = $("#discount").val().replace("$", "");
    var after_discount = (+subtotal + +tax) - discount;
    after_discount = roundNumber(after_discount, 2);

    var due = after_discount - $("#paid").val().replace("$", "");
    due = roundNumber(due, 2);

    $('#total').html(after_discount);
    $('.due').html(due);
  }

  function update_price() {
    var row = $(this).parents('.item-row');
    var price = row.find('.cost').val().replace("$", "") * row.find('.qty').val();
    var tax_price = roundNumber(row.find('.tax').val() * price * 0.01, 2);
    price = roundNumber(price, 2);
    tax_price = roundNumber(tax_price, 2);
    isNaN(price) ? row.find('.price').html("N/A") : row.find('.price').html(price);
    isNaN(tax_price) ? row.find('.tax-price').html("N/A") : row.find('.tax-price').html(tax_price);
    update_total();
  }

  function update_price_ready() {
   $('.item-row').each(function(i) {
    var row = $(this);
    var price = row.find('.cost').val().replace("$", "") * row.find('.qty').val();
    var tax_price = roundNumber(row.find('.tax').val() * price * 0.01, 2);
    price = roundNumber(price, 2);
    tax_price = roundNumber(tax_price, 2);
    isNaN(price) ? row.find('.price').html("N/A") : row.find('.price').html(price);
    isNaN(tax_price) ? row.find('.tax-price').html("N/A") : row.find('.tax-price').html(tax_price);
  });
   update_total();
 }

 function bind() {
  $(".cost").blur(update_price);
  $(".qty").blur(update_price);
  $(".tax").blur(update_price);
}

$(document).ready(function() {

  $('input').click(function() {
    $(this).select();
  });
  $("#discount").blur(update_balance);
  $("#paid").blur(update_balance);

  bind();
  update_price_ready();
});